<template>
  <div class="amap-page-container">
    <div style="width: 100%;height: 100%">
      <el-amap :zoom="zoom" :zooms="zooms" :expand-zoom-range="expandZoomRange" :plugin="plugin" :events="events" :center="center" :resize-enable="true" vid="amap" class="amap-demo"/>
    </div>
    <div class="toolbar">
      <span v-if="loaded">
        location: lng = {{ lng }} lat = {{ lat }}
      </span>
      <span v-else>正在定位</span>
    </div>
  </div>
</template>
<script>
// 加载地图组件
import Vue from 'vue'
import AMap from 'vue-amap'
Vue.use(AMap)
// 初始化vue-amap
AMap.initAMapApiLoader({
  // 高德key
  key: '48a97dbb834d3f19b841f1a9a6793a1e',
  plugin: ['AMap.CircleEditor', 'AMap.Geocoder', 'AMap.Geolocation', 'AMap.Autocomplete', 'AMap.PlaceSearch', 'AMap.Scale', 'AMap.OverView', 'AMap.ToolBar', 'AMap.MapType', 'AMap.PolyEditor'],
  v: '1.4.4'
})
export default {
  data() {
    const self = this
    return {
      center: [120.733371, 31.256721],
      lng: 120.733371,
      lat: 31.256721,
      loaded: false,
      zoom: 3,
      zooms: [3, 20],
      expandZoomRange: true,
      plugin: [{
        enableHighAccuracy: true, // 是否使用高精度定位，默认:true
        timeout: 100, // 超过10秒后停止定位，默认：无穷大
        maximumAge: 0, // 定位结果缓存0毫秒，默认：0
        convert: true, // 自动偏移坐标，偏移后的坐标为高德坐标，默认：true
        showButton: true, // 显示定位按钮，默认：true
        buttonPosition: 'RB', // 定位按钮停靠位置，默认：'LB'，左下角
        showMarker: true, // 定位成功后在定位到的位置显示点标记，默认：true
        showCircle: true, // 定位成功后用圆圈表示定位精度范围，默认：true
        panToLocation: true, // 定位成功后将定位到的位置作为地图中心点，默认：true
        zoomToAccuracy: true, // 定位成功后调整地图视野范围使定位位置及精度范围视野内可见，默认：f
        extensions: 'all',
        pName: 'Geolocation',
        events: {
          init(o) {
            // o 是高德地图定位插件实例
            o.getCurrentPosition((status, result) => {
              console.log(result)
              if (result && result.position) {
                self.lng = result.position.lng
                self.lat = result.position.lat
                self.center = [self.lng, self.lat]
                self.loaded = true
                self.$nextTick()
              }
            })
          }
        }
      }],
      events: {
        click(e) {
          // console.log(e)
          const { lng, lat } = e.lnglat
          self.lng = lng
          self.lat = lat
          if (lng > 120.733073 && lng < 120.733586 && lat > 31.256963 && lat < 31.257403) {
            console.log('C楼')
          }
        }
      }
    }
  },
  methods: {

  }

}
</script>

<style rel="stylesheet/scss" lang="scss" scoped>
  .amap-page-container{
    .amap-demo {
      height: 800px;
    }
  }
</style>

<!--<template>-->
<!--  <div class="mapDiv">-->
<!--    <el-amap-search-box class="search-box" :search-option="searchOption" :on-search-result="onSearchResult"></el-amap-search-box>-->
<!--    <el-amap vid="amapDemo"></el-amap>-->
<!--  </div>-->
<!--</template>-->
<!--<script>-->
<!--  import Vue from 'vue'-->
<!--  import VueAMap from 'vue-amap'-->
<!--  Vue.use(VueAMap)-->

<!--  export default {-->
<!--    data(){-->
<!--      return {-->
<!--        center: [120.733371, 31.256721],-->
<!--        lng: 120.733371,-->
<!--        lat: 31.256721,-->
<!--        loaded: false,-->
<!--      }-->
<!--    },-->
<!--    created() {-->
<!--      this.initMapData();-->
<!--    },-->
<!--    methods:{-->
<!--      initMapData(){-->
<!--        VueAMap.initAMapApiLoader({-->
<!--          // 高德的key-->
<!--          key: '48a97dbb834d3f19b841f1a9a6793a1e',-->
<!--          // 插件集合-->
<!--          plugin: ['AMap.Autocomplete', 'AMap.PlaceSearch', 'AMap.Scale', 'AMap.OverView', 'AMap.ToolBar', 'AMap.MapType', 'AMap.PolyEditor', 'AMap.CircleEditor', 'AMap.MarkerClusterer'],-->
<!--          resizeEnable: true,-->
<!--          rotateEnable:false,-->
<!--          pitchEnable:false,-->
<!--          zoom: 4,-->
<!--          pitch:65,-->
<!--          rotation:45,-->
<!--          viewMode:'3D',//开启3D视图,默认为关闭-->
<!--          buildingAnimation:true,//楼块出现是否带动画-->
<!--          expandZoomRange:true,-->
<!--          zooms:[3,20],-->
<!--          center:this.center,-->
<!--          events: {-->
<!--            init(o) {-->
<!--              // o 是高德地图定位插件实例&ndash;&gt;-->
<!--              o.getCurrentPosition((status, result) => {-->
<!--                console.log(result)-->
<!--                if (result && result.position) {-->
<!--                  this.lng = result.position.lng;-->
<!--                  this.lat = result.position.lat;-->
<!--                  this.center = [self.lng, self.lat];-->
<!--                  this.loaded = true;-->
<!--                  this.$nextTick();-->
<!--                }-->
<!--              });-->
<!--            }-->
<!--          }-->
<!--        });-->
<!--      }-->
<!--    },-->

<!--  }-->
<!--</script>-->

<!--<style rel="stylesheet/scss" lang="scss" scoped>-->
<!--  .mapDiv{-->
<!--    width:100%;-->
<!--    height: 800px;-->
<!--  }-->

<!--  .amapDemo{-->
<!--    resize:both;-->
<!--  }-->
<!--</style>-->

<!--<template>-->
<!--  <div class="safety-sznmswarning-container">-->
<!--    <el-row style="margin-top: 3px">-->
<!--      <el-col :xs="24" :sm="24" :lg="6" style="width: 25%;">-->
<!--        <el-card v-if="isWarning">-->
<!--          <el-row>-->
<!--            <span style="font-size:17px;font-weight:bold;font-family:PingFangSC-Semibold;">今日值班</span>-->
<!--          </el-row>-->
<!--          <el-row class="two-top">-->
<!--            <div style="background: #EAEEFA; font-size: 14px;line-height: 2">-->
<!--              <el-col style="background-color:#EAEEFA;">-->
<!--                <span>安全处值班人： </span>-->
<!--                <span style="float: right">秦巧玲</span>-->
<!--              </el-col>-->
<!--              <el-col style="background-color:#EAEEFA;">-->
<!--                <span>电话： </span>-->
<!--                <span style="float: right">13092601834</span>-->
<!--              </el-col>-->
<!--            </div>-->
<!--          </el-row>-->
<!--          <el-row class="twob-top">-->
<!--            <span style="font-size:17px;font-weight:bold;font-family:PingFangSC-Semibold;">房间信息</span>-->
<!--          </el-row>-->
<!--          <el-row class="three-top">-->
<!--            <div style="background: #EAEEFA; font-size: 14px;line-height: 2">-->
<!--              <el-col style="background-color:#EAEEFA;">-->
<!--                <span>责任人： </span>-->
<!--                <span style="float: right">{{labInfo.manager}}</span>-->
<!--              </el-col>-->
<!--              <el-col style="background-color:#EAEEFA;">-->
<!--                <span>联系方式： </span>-->
<!--                <span style="float: right">{{labInfo.managerPhone}}</span>-->
<!--              </el-col>-->
<!--              <el-col style="background-color:#EAEEFA;">-->
<!--                <span>安全员： </span>-->
<!--                <span style="float: right">{{labInfo.safer}}</span>-->
<!--              </el-col>-->
<!--              <el-col style="background-color:#EAEEFA;">-->
<!--                <span>联系方式： </span>-->
<!--                <span style="float: right">{{labInfo.saferPhone}}</span>-->
<!--              </el-col>-->
<!--            </div>-->
<!--          </el-row>-->
<!--          <el-row class="three-top">-->
<!--            <span style="font-size:17px;font-weight:bold;font-family:PingFangSC-Semibold;">可用灭火器</span>-->
<!--          </el-row>-->
<!--          <el-row class="twob-top">-->
<!--            <el-col :xs="24" :sm="24" :lg="12" style="width: 50%;text-align: center;">-->
<!--              <el-row style="margin-top: 15px">-->
<!--                <span style="font-size:30px;font-weight:bold;color: #DC2E2E;font-family:PingFangSC-Semibold;" @click="showRoomFireInfo">{{roomFireNum}}</span>-->
<!--              </el-row>-->
<!--              <el-row style="margin-top: 15px">-->
<!--                <span class="fujian-span">该房间灭火器个数</span>-->
<!--              </el-row>-->
<!--            </el-col>-->
<!--            <el-col :xs="24" :sm="24" :lg="12" style="width: 50%;text-align: center;">-->
<!--              <el-row style="margin-top: 15px">-->
<!--                <span style="font-size:30px;font-weight:bold;color:#DC2E2E;font-family:PingFangSC-Semibold;" @click="showFloorFireInfo">{{floorFireNum}}</span>-->
<!--              </el-row>-->
<!--              <el-row style="margin-top: 15px">-->
<!--                <span class="fujian-span">该楼层灭火器个数</span>-->
<!--              </el-row>-->
<!--            </el-col>-->
<!--          </el-row>-->
<!--          <el-row class="three-top">-->
<!--            <span style="font-size:17px;font-weight:bold;font-family:PingFangSC-Semibold;">应急预案</span>-->
<!--          </el-row>-->
<!--          <el-row class="twob-top">-->
<!--            <el-row>-->
<!--              <span style="font-size:14px;font-family:PingFangSC-Semibold;" @click="previewPDF1">1、危险化学品事故专项应急预案</span>-->
<!--            </el-row>-->
<!--            <el-row style="margin-top: 5px">-->
<!--              <span style="font-size:14px;font-family:PingFangSC-Semibold;" @click="previewPDF2">2、苏州F1实验室气体泄漏应急处理流程</span>-->
<!--            </el-row>-->
<!--          </el-row>-->
<!--          <el-row class="three-top">-->
<!--            <span style="font-size:17px;font-weight:bold;font-family:PingFangSC-Semibold;">应急物资</span>-->
<!--          </el-row>-->
<!--          <el-row style="margin-top: 25px;text-align: center;height: 210px;">-->
<!--            <el-col :xs="24" :sm="24" :lg="12" style="max-width: 45%">-->
<!--              <img class="wuzi-img" style="height: 150px"  src="../../../static/map/img/person.jpg" alt="">-->
<!--              <div class="fujian-span">防护服/10</div>-->
<!--            </el-col>-->
<!--            <el-col :xs="24" :sm="24" :lg="12" style="max-width: 45%;margin-left: 10%">-->
<!--              <img class="wuzi-img" style="height: 150px" src="../../../static/map/img/person.jpg" alt="">-->
<!--              <div class="fujian-span">手套/10</div>-->
<!--            </el-col>-->
<!--          </el-row>-->
<!--        </el-card>-->
<!--        <el-card v-else :bodyStyle="bodyStyle">-->
<!--          <el-row class="one-row">-->
<!--            <span class="title-span">实验室安全管控</span>-->
<!--          </el-row>-->
<!--          <el-row class="two-row">-->
<!--            <span class="count-span" style="font-size:35px;font-weight:bold;color: #3D70E3;font-family:PingFangSC-Semibold;">91</span>-->
<!--          </el-row>-->
<!--          <el-row class="five-top">-->
<!--            <span class="title-span">消防安全管控</span>-->
<!--          </el-row>-->
<!--          <el-row class="six-top">-->
<!--            <el-col :xs="24" :sm="24" :lg="8" style="width: 33.33%;text-align: center;" class="mb-3">-->
<!--              <img style="width: 30px;"  src="../../../static/map/img/warning/水喷淋@2x.png" alt=""><p>水喷淋</p>-->
<!--            </el-col>-->
<!--            <el-col :xs="24" :sm="24" :lg="8" style="width: 33.33%;text-align: center;" class="mb-3">-->
<!--              <img style="width: 30px;" src="../../../static/map/img/warning/智能烟感@2x.png" alt=""><p>智能烟感</p>-->
<!--            </el-col>-->
<!--            <el-col :xs="24" :sm="24" :lg="8" style="width: 33.33%;text-align: center;" class="mb-3">-->
<!--              <img style="width: 30px;"  src="../../../static/map/img/warning/火焰感应@2x.png" alt=""><p>火焰感应</p>-->
<!--            </el-col>-->
<!--          </el-row>-->
<!--          <el-row class="twob-top">-->
<!--            <el-col :xs="24" :sm="24" :lg="12" style="width: 50%;text-align: center;">-->
<!--              <el-row class="oneb-top">-->
<!--                <span class="check-span">{{check}}</span>-->
<!--              </el-row>-->
<!--              <el-row class="oneb-top">-->
<!--                <span class="fujian-span">本月复检率</span>-->
<!--              </el-row>-->
<!--            </el-col>-->
<!--            <el-col :xs="24" :sm="24" :lg="12" style="width: 50%;text-align: center;">-->
<!--              <el-row class="oneb-top">-->
<!--                <span class="firewarn-span" @click="showFireWarnInfo">{{fireWarnNum}}</span>-->
<!--              </el-row>-->
<!--              <el-row class="oneb-top">-->
<!--                <span class="fujian-span">灭火器预警数</span>-->
<!--              </el-row>-->
<!--            </el-col>-->
<!--          </el-row>-->
<!--          <el-row class="five-top">-->
<!--            <span class="title-span">试剂安全管控</span>-->
<!--          </el-row>-->
<!--          <el-row class="three-top">-->
<!--            <el-col :xs="24" :sm="24" :lg="12" style="width: 50%;text-align: center;">-->
<!--              <el-row class="oneb-top">-->
<!--                <span  style="font-size:25px;font-weight:bold;color: #3D70E3;font-family:PingFangSC-Semibold;" @click="showReagentInfo">{{reagentNum}}</span>-->
<!--              </el-row>-->
<!--              <el-row class="oneb-top">-->
<!--                <span class="fujian-span">设备预警数</span>-->
<!--              </el-row>-->
<!--            </el-col>-->
<!--            <el-col :xs="24" :sm="24" :lg="12" style="width: 50%;text-align: center;">-->
<!--              <el-row class="oneb-top">-->
<!--                <span style="font-size:25px;font-weight:bold;color: #999999;font-family:PingFangSC-Semibold;" @click="showReagentPersonInfo">{{reagentPersonNum}}</span>-->
<!--              </el-row>-->
<!--              <el-row class="oneb-top">-->
<!--                <span class="fujian-span">人员违规数</span>-->
<!--              </el-row>-->
<!--            </el-col>-->
<!--          </el-row>-->
<!--          <el-row class="five-top">-->
<!--            <span class="title-span">气瓶安全管控</span>-->
<!--          </el-row>-->
<!--          <el-row style="margin-top: 30px;height: 100px">-->
<!--            <el-col :xs="24" :sm="24" :lg="24" style="width: 50%;text-align: center;margin-left: 20%">-->
<!--              <el-row class="oneb-top">-->
<!--                <span style="font-size:25px;font-weight:bold;color: #3D70E3;font-family:PingFangSC-Semibold;" @click="showGasWarnInfo">{{gasWarnNum}}</span>-->
<!--              </el-row>-->
<!--              <el-row class="oneb-top">-->
<!--                <span class="fujian-span">气瓶相忌预警</span>-->
<!--              </el-row>-->
<!--            </el-col>-->
<!--          </el-row>-->
<!--        </el-card>-->
<!--      </el-col>-->
<!--      <el-col id="container" :xs="24" :sm="24" :lg="12" style="width: 50%;">-->
<!--        <div id="amap" style="width: 50%;position: absolute;">-->
<!--          <el-amap-search-box class="search-box" :search-option="searchOption" :on-search-result="onSearchResult"></el-amap-search-box>-->
<!--          <el-amap vid="amap" :center="center" :zoom="zoom" :zooms="zooms" :expandZoomRange="expandZoomRange" :plugin="plugin" :events="events" :resizeEnable="true" :pitch="45" :viewMode="viewMode">-->
<!--            <el-amap-circle v-for="(circle,index) in circles" :key="index" :center="circle.center" :radius="circle.radius" :events="circle.events" :fillOpacity="0.35" :fillColor="'#ee2200'" :strokeColor="'#F33'" :strokeOpacity="1" :strokeWeight="3"></el-amap-circle>-->
<!--            <el-amap-marker v-for="(marker,index) in markers" :key="index+'_1'" :position="marker.position" :title="marker.title" :content="marker.content" :icon="marker.icon" :events="marker.events"></el-amap-marker>-->
<!--          </el-amap>-->
<!--        </div>-->
<!--        <div id="indoormap" style="width: 50%;position: absolute;"></div>-->
<!--        <div style="position: fixed;bottom: 0;;margin-bottom: 40px;margin-left: 60px;">-->
<!--          <button id="back">返回园区</button>-->
<!--        </div>-->
<!--      </el-col>-->
<!--      <el-col :xs="24" :sm="24" :lg="6" :push="12" style="width: 25%;">-->
<!--        <el-card v-if="isWarning">-->
<!--          <el-row>-->
<!--            <span style="font-size:17px;font-weight:bold;font-family:PingFangSC-Semibold;">问题描述</span>-->
<!--          </el-row>-->
<!--          <el-row class="one-top">-->
<!--            <span>{{WarningTempInfo.info}}</span>-->
<!--          </el-row>-->
<!--          <el-row class="oneb-top">-->
<!--            <span style="font-size:17px;font-weight:bold;font-family:PingFangSC-Semibold;">建议处理流程</span>-->
<!--          </el-row>-->
<!--          <el-row v-if="WarningTempInfo.info != null && WarningTempInfo.info.indexOf('相忌试剂') != -1" class="one-top">-->
<!--            <img class="img-size" style="width: 380px;height: 400px" src="../../../static/map/img/warning/相忌试剂.png" alt="">-->
<!--          </el-row>-->
<!--          <el-row v-else-if="WarningTempInfo.info != null && WarningTempInfo.info.indexOf('柜门未关') != -1" class="one-top">-->
<!--            <img class="img-size" style="width: 380px;height: 350px" src="../../../static/map/img/warning/柜门未关.png" alt="">-->
<!--          </el-row>-->
<!--          <el-row v-else-if="WarningTempInfo.info != null && WarningTempInfo.info.indexOf('浓度值') != -1" class="one-top">-->
<!--            <img class="img-size" style="width: 380px;height: 400px" src="../../../static/map/img/warning/气体处理流程.png" alt="">-->
<!--          </el-row>-->
<!--          <el-row v-else-if="WarningTempInfo.info != null && (WarningTempInfo.info.indexOf('电流') != -1 || WarningTempInfo.info.indexOf('电压') != -1 || WarningTempInfo.info.indexOf('功率') != -1 || WarningTempInfo.info.indexOf('高温') != -1)" class="one-top">-->
<!--            <img class="img-size" style="width: 400px;height: 300px" src="../../../static/map/img/warning/电气处理流程.png" alt="">-->
<!--          </el-row>-->
<!--          <el-row class="oneb-top">-->
<!--            <span style="font-size:17px;font-weight:bold;font-family:PingFangSC-Semibold;">事件进展</span>-->
<!--          </el-row>-->
<!--          <el-row class="oneb-top">-->
<!--            <div style="background: #EAEEFA;">-->
<!--              <el-row>-->
<!--                <span style="color: #333333;font-size: 14px;">通知安全员</span>-->
<!--              </el-row>-->
<!--              <el-row>-->
<!--                <span style="color: #666666;font-size: 12px;">{{nowDate}}</span>-->
<!--              </el-row>-->
<!--            </div>-->
<!--          </el-row>-->
<!--          <el-row class="three-top">-->
<!--            <span style="font-size:17px;font-weight:bold;font-family:PingFangSC-Semibold;">安全风险辨识</span>-->
<!--          </el-row>-->
<!--          <el-row class="two-top" style="height: 320px;">-->
<!--            <img class="img-size" :src="roomZonehe" alt="">-->
<!--          </el-row>-->
<!--        </el-card>-->
<!--        <el-card v-else :bodyStyle="bodyStyle">-->
<!--          <el-row class="one-row">-->
<!--            <span class="title-span">水气通风结构安全管控</span>-->
<!--          </el-row>-->
<!--          <el-row class="two-row">-->
<!--            <el-col :xs="24" :sm="24" :lg="12" style="width: 50%;text-align: center;" class="mb-3">-->
<!--              <img style="width: 30px;" src="../../../static/map/img/warning/水@2x.png" alt=""><p>水</p>-->
<!--            </el-col>-->
<!--            <el-col :xs="24" :sm="24" :lg="12" style="width: 50%;text-align: center;" class="mb-3">-->
<!--              <img style="width: 30px;" src="../../../static/map/img/warning/气@2x.png" alt=""><p>气</p>-->
<!--            </el-col>-->
<!--            <el-col :xs="24" :sm="24" :lg="12" style="width: 50%;text-align: center;"  class="mb-3">-->
<!--              <img style="width: 30px;" src="../../../static/map/img/warning/通风@2x.png" alt=""><p>通风</p>-->
<!--            </el-col>-->
<!--            <el-col :xs="24" :sm="24" :lg="12" style="width: 50%;text-align: center;"  class="mb-3">-->
<!--              <img style="width: 30px;" src="../../../static/map/img/warning/防雷@2x.png" alt=""><p>防雷</p>-->
<!--            </el-col>-->
<!--          </el-row>-->
<!--          <el-row class="dianqi-top">-->
<!--            <span class="title-span">电气安全管控</span>-->
<!--          </el-row>-->
<!--          <el-row class="twob-top">-->
<!--            <el-col :xs="24" :sm="24" :lg="12" style="width: 50%;text-align: center;">-->
<!--              <el-row class="oneb-top">-->
<!--                <span style="font-size:25px;font-weight:bold;color: #DC2E2E;font-family:PingFangSC-Semibold;" @click="showElectricalWarnList">{{electricalWarnNum}}</span>-->
<!--              </el-row>-->
<!--              <el-row class="oneb-top">-->
<!--                <span class="fujian-span">电气报警点个数</span>-->
<!--              </el-row>-->
<!--            </el-col>-->
<!--            <el-col :xs="24" :sm="24" :lg="12" style="width: 50%;text-align: center;">-->
<!--              <el-row class="oneb-top">-->
<!--                <span style="font-size:25px;font-weight:bold;color: #999999;font-family:PingFangSC-Semibold;" @click="showElectricalErrorList">{{electricalErrorNum}}</span>-->
<!--              </el-row>-->
<!--              <el-row class="oneb-top">-->
<!--                <span class="fujian-span">电气故障点个数</span>-->
<!--              </el-row>-->
<!--            </el-col>-->
<!--          </el-row>-->
<!--          <el-row class="three-top">-->
<!--            <span class="title-span">气体安全管控</span>-->
<!--          </el-row>-->
<!--          <el-row class="twob-top">-->
<!--            <el-col :xs="24" :sm="24" :lg="12" style="width: 50%;text-align: center;">-->
<!--              <el-row class="oneb-top">-->
<!--                <span style="font-size:25px;font-weight:bold;color: #DC2E2E;font-family:PingFangSC-Semibold;" @click="showGasSafeWarnList">{{gasSafeWarnNum}}</span>-->
<!--              </el-row>-->
<!--              <el-row class="oneb-top">-->
<!--                <span class="fujian-span">气体报警点个数</span>-->
<!--              </el-row>-->
<!--            </el-col>-->
<!--            <el-col :xs="24" :sm="24" :lg="12" style="width: 50%;text-align: center;">-->
<!--              <el-row class="oneb-top">-->
<!--                <span style="font-size:25px;font-weight:bold;color: #999999;font-family:PingFangSC-Semibold;" @click="showGasSafeErrorList">{{gasSafeErrorNum}}</span>-->
<!--              </el-row>-->
<!--              <el-row class="oneb-top">-->
<!--                <span class="fujian-span">气体故障点个数</span>-->
<!--              </el-row>-->
<!--            </el-col>-->
<!--          </el-row>-->
<!--          <el-row class="three-top">-->
<!--            <span class="title-span">行为安全管控</span>-->
<!--          </el-row>-->
<!--          <el-row class="twob-top">-->
<!--            <el-col :xs="24" :sm="24" :lg="12" style="width: 50%;text-align: center;">-->
<!--              <el-row class="oneb-top">-->
<!--                <span style="font-size:25px;font-weight:bold;color: #3D70E3;font-family:PingFangSC-Semibold;" @click="showVisitorList">{{visitorNum}}</span>-->
<!--              </el-row>-->
<!--              <el-row class="oneb-top">-->
<!--                <span class="fujian-span">访客人数</span>-->
<!--              </el-row>-->
<!--            </el-col>-->
<!--            <el-col :xs="24" :sm="24" :lg="12" style="width: 50%;text-align: center;">-->
<!--              <el-row class="oneb-top">-->
<!--                <span style="font-size:25px;font-weight:bold;color: #999999;font-family:PingFangSC-Semibold;" @click="showVisitorWarnList">{{visitorWarnNum}}</span>-->
<!--              </el-row>-->
<!--              <el-row class="oneb-top">-->
<!--                <span class="fujian-span">行为违规数</span>-->
<!--              </el-row>-->
<!--            </el-col>-->
<!--          </el-row>-->
<!--          <el-row class="three-top">-->
<!--            <span class="title-span">辐射安全管理</span>-->
<!--          </el-row>-->
<!--          <el-row class="twob-top">-->
<!--            <el-col :xs="24" :sm="24" :lg="12" style="width: 50%;text-align: center;">-->
<!--              <el-row class="oneb-top">-->
<!--                <span style="font-size:25px;font-weight:bold;color: #3D70E3;font-family:PingFangSC-Semibold;" @click="showRadiationWarnList">{{radiationWarnNum}}</span>-->
<!--              </el-row>-->
<!--              <el-row class="oneb-top">-->
<!--                <span class="fujian-span">人员辐射预警</span>-->
<!--              </el-row>-->
<!--            </el-col>-->
<!--            <el-col :xs="24" :sm="24" :lg="12" style="width: 50%;text-align: center;">-->
<!--              <el-row class="oneb-top">-->
<!--                <span style="font-size:25px;font-weight:bold;color: #DC2E2E;font-family:PingFangSC-Semibold;" @click="showRadiationErrorList">{{radiationErrorNum}}</span>-->
<!--              </el-row>-->
<!--              <el-row class="oneb-top">-->
<!--                <span class="fujian-span">设备预警</span>-->
<!--              </el-row>-->
<!--            </el-col>-->
<!--          </el-row>-->
<!--        </el-card>-->
<!--      </el-col>-->
<!--    </el-row>-->
<!--    <div v-show="warnDataVisible" style="height: 178px;width:650px;overflow-y: auto;background: #DF2929;position: absolute;top: 0;left: 0;right: 0;bottom: 0;margin:auto">-->
<!--      <div v-if="WarningInfo.length>0" v-for="(item,index) in WarningInfo" style="padding: unset;height: 100%;width: 100%" id="warnList" >-->
<!--        <el-row style="background: #DF2929;">-->
<!--          <el-col :xs="24" :sm="24" :lg="12" style="width: 60%;margin-left: 8%;">-->
<!--            <span style="font-size: 60px;">WARNING</span>-->
<!--          </el-col>-->
<!--          <el-col :xs="24" :sm="24" :lg="12" style="width: 30%;margin-top: 5%;">-->
<!--            <span style="font-size: 30px;color: #FDD44D; border: 1px solid #FDD44D;" class="p-2 text-center" @click="delWarn(item)">前往处理</span>-->
<!--          </el-col>-->
<!--        </el-row>-->
<!--        <el-row style="background: #DF2929;margin-left: 8%;margin-top: 15px;font-size: 20px">-->
<!--          <el-row>-->
<!--            <span>发生时间：{{item.happenTime}}</span>-->
<!--          </el-row>-->
<!--          <el-row class="oneb-top">-->
<!--            <span>报警内容：{{item.info}}</span>-->
<!--          </el-row>-->
<!--        </el-row>-->
<!--      </div>-->
<!--    </div>-->

<!--    <el-dialog-->
<!--      :visible.sync="fireWarnVisible"-->
<!--      :modal-append-to-body="false"-->
<!--      :close-on-click-modal="false"-->
<!--      title="灭火器预警信息"-->
<!--      width="700px">-->
<!--      <el-table-->

<!--        ref="multipleTable"-->
<!--        :data="fireWarnList"-->
<!--        border-->
<!--        fit-->
<!--        highlight-current-row-->
<!--        style="width: 100%;"-->
<!--        :header-cell-style="{background:'#F1F4F7',color:'#606266'}"-->
<!--        :row-style="{background:'rgba(255,255,255,0.94)',color:'#606266'}"-->
<!--        :stripe="true"-->
<!--        :max-height="300"-->
<!--      >-->
<!--        <el-table-column label="场所" prop="location" align="center" fixed="left">-->
<!--          <template slot-scope="scope">-->
<!--            <span>{{ scope.row.location1+'-'+ scope.row.location2}}</span>-->
<!--          </template>-->
<!--        </el-table-column>-->
<!--        <el-table-column label="时间" prop="createTimeStr" align="center" fixed="left">-->
<!--          <template slot-scope="scope">-->
<!--            <span>{{ scope.row.createTimeStr }}</span>-->
<!--          </template>-->
<!--        </el-table-column>-->
<!--        <el-table-column label="内容" prop="count" align="center" fixed="left">-->
<!--          <template slot-scope="scope">-->
<!--            <span>{{ scope.row.dangerContent }}</span>-->
<!--          </template>-->
<!--        </el-table-column>-->
<!--      </el-table>-->
<!--    </el-dialog>-->
<!--    <el-dialog-->
<!--      :visible.sync="reagentVisible"-->
<!--      :modal-append-to-body="false"-->
<!--      :close-on-click-modal="false"-->
<!--      title="试剂设备预警信息"-->
<!--      width="700px">-->
<!--      <el-table-->

<!--        ref="multipleTable"-->
<!--        :data="reagentList"-->
<!--        border-->
<!--        fit-->
<!--        highlight-current-row-->
<!--        style="width: 100%;"-->
<!--        :header-cell-style="{background:'#F1F4F7',color:'#606266'}"-->
<!--        :row-style="{background:'rgba(255,255,255,0.94)',color:'#606266'}"-->
<!--        :stripe="true"-->
<!--        :max-height="300"-->
<!--      >-->
<!--        <el-table-column label="试剂柜" prop="name" align="center" fixed="left">-->
<!--          <template slot-scope="scope">-->
<!--            <span>{{ scope.row.name}}</span>-->
<!--          </template>-->
<!--        </el-table-column>-->
<!--        <el-table-column label="时间" prop="timeStr" align="center" fixed="left">-->
<!--          <template slot-scope="scope">-->
<!--            <span>{{ scope.row.timeStr }}</span>-->
<!--          </template>-->
<!--        </el-table-column>-->
<!--        <el-table-column label="报警类型" prop="type" align="center" fixed="left">-->
<!--          <template slot-scope="scope">-->
<!--            <span>{{ scope.row.type }}</span>-->
<!--          </template>-->
<!--        </el-table-column>-->
<!--      </el-table>-->
<!--    </el-dialog>-->
<!--    <el-dialog-->
<!--      :visible.sync="reagentPersonVisible"-->
<!--      :modal-append-to-body="false"-->
<!--      :close-on-click-modal="false"-->
<!--      title="试剂人员违规信息"-->
<!--      width="700px">-->
<!--      <el-table-->

<!--        ref="multipleTable"-->
<!--        :data="reagentPersonList"-->
<!--        border-->
<!--        fit-->
<!--        highlight-current-row-->
<!--        style="width: 100%;"-->
<!--        :header-cell-style="{background:'#F1F4F7',color:'#606266'}"-->
<!--        :row-style="{background:'rgba(255,255,255,0.94)',color:'#606266'}"-->
<!--        :stripe="true"-->
<!--        :max-height="300"-->
<!--      >-->
<!--        <el-table-column label="人员" prop="userName" align="center" fixed="left">-->
<!--          <template slot-scope="scope">-->
<!--            <span>{{ scope.row.userName}}</span>-->
<!--          </template>-->
<!--        </el-table-column>-->
<!--        <el-table-column label="试剂柜" prop="name" align="center" fixed="left">-->
<!--          <template slot-scope="scope">-->
<!--            <span>{{ scope.row.name}}</span>-->
<!--          </template>-->
<!--        </el-table-column>-->
<!--        <el-table-column label="时间" prop="timeStr" align="center" fixed="left">-->
<!--          <template slot-scope="scope">-->
<!--            <span>{{ scope.row.timeStr }}</span>-->
<!--          </template>-->
<!--        </el-table-column>-->
<!--        <el-table-column label="报警类型" prop="type" align="center" fixed="left">-->
<!--          <template slot-scope="scope">-->
<!--            <span>{{ scope.row.type }}</span>-->
<!--          </template>-->
<!--        </el-table-column>-->
<!--      </el-table>-->
<!--    </el-dialog>-->
<!--    <el-dialog-->
<!--      :visible.sync="gasWarnVisible"-->
<!--      :modal-append-to-body="false"-->
<!--      :close-on-click-modal="false"-->
<!--      title="气瓶相忌预警信息"-->
<!--      width="500px">-->
<!--      <el-table-->

<!--        ref="multipleTable"-->
<!--        :data="gasWarnList"-->
<!--        border-->
<!--        fit-->
<!--        highlight-current-row-->
<!--        style="width: 100%;"-->
<!--        :header-cell-style="{background:'#F1F4F7',color:'#606266'}"-->
<!--        :row-style="{background:'rgba(255,255,255,0.94)',color:'#606266'}"-->
<!--        :stripe="true"-->
<!--        :max-height="300"-->
<!--      >-->
<!--        <el-table-column label="时间" prop="findTimeStr" align="center" fixed="left">-->
<!--          <template slot-scope="scope">-->
<!--            <span>{{ scope.row.findTimeStr }}</span>-->
<!--          </template>-->
<!--        </el-table-column>-->
<!--        <el-table-column label="内容" prop="content" align="center" fixed="left">-->
<!--          <template slot-scope="scope">-->
<!--            <span>{{ scope.row.content }}</span>-->
<!--          </template>-->
<!--        </el-table-column>-->
<!--      </el-table>-->
<!--    </el-dialog>-->
<!--    <el-dialog-->
<!--      :visible.sync="radiationWarnVisible"-->
<!--      :modal-append-to-body="false"-->
<!--      :close-on-click-modal="false"-->
<!--      title="人员辐射预警信息"-->
<!--      width="700px">-->
<!--      <el-table-->

<!--        ref="multipleTable"-->
<!--        :data="radiationWarnList"-->
<!--        border-->
<!--        fit-->
<!--        highlight-current-row-->
<!--        style="width: 100%;"-->
<!--        :header-cell-style="{background:'#F1F4F7',color:'#606266'}"-->
<!--        :row-style="{background:'rgba(255,255,255,0.94)',color:'#606266'}"-->
<!--        :stripe="true"-->
<!--        :max-height="300"-->
<!--      >-->
<!--        <el-table-column label="人员" prop="equipName" align="center" fixed="left">-->
<!--          <template slot-scope="scope">-->
<!--            <span>{{ scope.row.equipName}}</span>-->
<!--          </template>-->
<!--        </el-table-column>-->
<!--        <el-table-column label="时间" prop="createTime" align="center" fixed="left">-->
<!--          <template slot-scope="scope">-->
<!--            <span>{{ scope.row.createTime }}</span>-->
<!--          </template>-->
<!--        </el-table-column>-->
<!--        <el-table-column label="数值" prop="radiavalue" align="center" fixed="left">-->
<!--          <template slot-scope="scope">-->
<!--            <span>{{ scope.row.radiavalue }}</span>-->
<!--          </template>-->
<!--        </el-table-column>-->
<!--      </el-table>-->
<!--    </el-dialog>-->
<!--    <el-dialog-->
<!--      :visible.sync="radiationErrorVisible"-->
<!--      :modal-append-to-body="false"-->
<!--      :close-on-click-modal="false"-->
<!--      title="辐射设备预警信息"-->
<!--      width="700px">-->
<!--      <el-table-->

<!--        ref="multipleTable"-->
<!--        :data="radiationErrorList"-->
<!--        border-->
<!--        fit-->
<!--        highlight-current-row-->
<!--        style="width: 100%;"-->
<!--        :header-cell-style="{background:'#F1F4F7',color:'#606266'}"-->
<!--        :row-style="{background:'rgba(255,255,255,0.94)',color:'#606266'}"-->
<!--        :stripe="true"-->
<!--        :max-height="300"-->
<!--      >-->
<!--        <el-table-column label="场所" prop="siteName" align="center" fixed="left">-->
<!--          <template slot-scope="scope">-->
<!--            <span>{{ scope.row.siteName}}</span>-->
<!--          </template>-->
<!--        </el-table-column>-->
<!--        <el-table-column label="设备" prop="equipName" align="center" fixed="left">-->
<!--          <template slot-scope="scope">-->
<!--            <span>{{ scope.row.equipName}}</span>-->
<!--          </template>-->
<!--        </el-table-column>-->
<!--        <el-table-column label="时间" prop="createTime" align="center" fixed="left">-->
<!--          <template slot-scope="scope">-->
<!--            <span>{{ scope.row.createTime }}</span>-->
<!--          </template>-->
<!--        </el-table-column>-->
<!--        <el-table-column label="数值" prop="radiavalue" align="center" fixed="left">-->
<!--          <template slot-scope="scope">-->
<!--            <span>{{ scope.row.radiavalue }}</span>-->
<!--          </template>-->
<!--        </el-table-column>-->
<!--      </el-table>-->
<!--    </el-dialog>-->
<!--    <el-dialog-->
<!--      :visible.sync="roomFireDataVisible"-->
<!--      :modal-append-to-body="false"-->
<!--      :close-on-click-modal="false"-->
<!--      title="房间灭火器信息"-->
<!--      width="700px">-->
<!--      <el-table-->

<!--        ref="multipleTable"-->
<!--        :data="roomFireList"-->
<!--        border-->
<!--        fit-->
<!--        highlight-current-row-->
<!--        style="width: 100%;"-->
<!--        :header-cell-style="{background:'#F1F4F7',color:'#606266'}"-->
<!--        :row-style="{background:'rgba(255,255,255,0.94)',color:'#606266'}"-->
<!--        :stripe="true"-->
<!--        :max-height="300"-->
<!--      >-->
<!--        <el-table-column label="具体地点" prop="location" align="center" fixed="left">-->
<!--          <template slot-scope="scope">-->
<!--            <span>{{ scope.row.location }}</span>-->
<!--          </template>-->
<!--        </el-table-column>-->
<!--        <el-table-column label="灭火器类型" prop="meta_value" align="center" fixed="left">-->
<!--          <template slot-scope="scope">-->
<!--            <span>{{ scope.row.meta_value }}</span>-->
<!--          </template>-->
<!--        </el-table-column>-->
<!--        <el-table-column label="灭火器数量" prop="count" align="center" fixed="left">-->
<!--          <template slot-scope="scope">-->
<!--            <span>{{ scope.row.count }}</span>-->
<!--          </template>-->
<!--        </el-table-column>-->
<!--      </el-table>-->
<!--    </el-dialog>-->
<!--    <el-dialog-->
<!--      :visible.sync="floorFireDataVisible"-->
<!--      :modal-append-to-body="false"-->
<!--      :close-on-click-modal="false"-->
<!--      title="楼层灭火器信息"-->
<!--      width="700px">-->
<!--      <el-table-->

<!--        ref="multipleTable"-->
<!--        :data="floorFireList"-->
<!--        border-->
<!--        fit-->
<!--        highlight-current-row-->
<!--        style="width: 100%;"-->
<!--        :header-cell-style="{background:'#F1F4F7',color:'#606266'}"-->
<!--        :row-style="{background:'rgba(255,255,255,0.94)',color:'#606266'}"-->
<!--        :stripe="true"-->
<!--        :max-height="300"-->
<!--      >-->
<!--        <el-table-column label="具体地点" prop="location" align="center" fixed="left">-->
<!--          <template slot-scope="scope">-->
<!--            <span>{{ scope.row.location }}</span>-->
<!--          </template>-->
<!--        </el-table-column>-->
<!--        <el-table-column label="灭火器类型" prop="firetype" align="center" fixed="left">-->
<!--          <template slot-scope="scope">-->
<!--            <span>{{ scope.row.firetype }}</span>-->
<!--          </template>-->
<!--        </el-table-column>-->
<!--        <el-table-column label="灭火器数量" prop="count" align="center" fixed="left">-->
<!--          <template slot-scope="scope">-->
<!--            <span>{{ scope.row.count }}</span>-->
<!--          </template>-->
<!--        </el-table-column>-->
<!--      </el-table>-->
<!--    </el-dialog>-->
<!--    &lt;!&ndash;PDF 预览&ndash;&gt;-->
<!--    <el-dialog :visible.sync="viewVisible" center-->
<!--               @close='closeDialog'>-->
<!--      <div style="margin-bottom: 15px; text-align: right">-->
<!--        <el-button type="primary" size="small" @click.stop="previousPage">-->
<!--          上一页-->
<!--        </el-button>-->
<!--        <el-button type="primary" size="small" @click.stop="nextPage">-->
<!--          下一页-->
<!--        </el-button>-->
<!--        <span>当前第{{pdfPage}}页 / 共{{pageCount}}页</span>-->
<!--      </div>-->
<!--      <div style="height: 500px;overflow: auto">-->
<!--        <pdf-->
<!--          :src="pdfUrl"-->
<!--          :page="pdfPage"-->
<!--          @num-pages="pageCount = $event"-->
<!--          @page-loaded="pdfPage = $event"-->
<!--          style="display: inline-block; width: 100%"-->
<!--        ></pdf>-->
<!--      </div>-->
<!--    </el-dialog>-->
<!--    <div style="clear: both;"/>-->
<!--  </div>-->
<!--</template>-->

<!--<script>-->
<!--  import { mapGetters } from 'vuex'-->
<!--  import '../../../static/map/AirocovMap'-->
<!--  import { getDapingUrl,getElectricalUrl,getGasSafeUrl} from '@/utils/auth'-->
<!--  import {getCheckData, getHiddenDangerByMonth, getSysAlarm, getSysWarn, getHiddenTroubleWeek,getPersonWarn,getEquipmentWarn,-->
<!--    getEelectricalWarn, getGasSafeWarn, getAllWarn, dealWarn, getFireCount, getFireFloorCount} from '@/api/daping'-->
<!--  import { labList, } from '@/api/lab'-->
<!--  import Cookies from 'js-cookie'-->
<!--  import pdf from 'vue-pdf-signature';-->
<!--  import CMapReaderFactory from 'vue-pdf-signature/src/CMapReaderFactory.js'-->
<!--  import $ from 'jquery'-->

<!--  export default {-->
<!--    name: 'sznmswarning',-->
<!--    filters: {-->
<!--      parseValue(value) {-->
<!--        if (value == true) {-->
<!--          return '是'-->
<!--        } else {-->
<!--          return '否'-->
<!--        }-->
<!--      },-->
<!--      parseIntValue(value) {-->
<!--        if (value == '1') {-->
<!--          return '是'-->
<!--        } else {-->
<!--          return '否'-->
<!--        }-->
<!--      },-->
<!--      parseNULLValue(value) {-->
<!--        if (value == null) {-->
<!--          return 0-->
<!--        } else {-->
<!--          return value-->
<!--        }-->
<!--      },-->
<!--      // 截取当前数据到小数点后两位-->
<!--      numFilter(value) {-->
<!--        return parseFloat(value).toFixed(4)-->
<!--      },-->
<!--    },-->
<!--    data() {-->
<!--      const self = this;-->
<!--      return {-->
<!--        viewMode:'3D',-->
<!--        circles: [-->
<!--          {-->
<!--            center: [120.733350, 31.257200],-->
<!--            radius: 20,-->
<!--            events: {-->
<!--              click: () => {-->
<!--                self.show3Dmodel('教育综合楼C')-->
<!--                self.showBuilding('教育综合楼C')-->
<!--              }-->
<!--            }-->
<!--          }, {-->
<!--            center: [120.734650, 31.257230],-->
<!--            radius: 20,-->
<!--            events: {-->
<!--              click: () => {-->
<!--                self.show3Dmodel('危化品库和特气房')-->
<!--                self.showBuilding('危化品库和特气房')-->
<!--              }-->
<!--            }-->
<!--          }-->
<!--        ],-->
<!--        markers: [-->
<!--          {-->
<!--            position: [120.733250, 31.257150],-->
<!--            content: "教育综合楼C",-->
<!--            // icon: 'http://vdata.amap.com/icons/b18/1/2.png',-->
<!--            events: {-->
<!--              click: () => {-->
<!--                self.show3Dmodel('教育综合楼C')-->
<!--                self.showBuilding('教育综合楼C')-->
<!--              }-->
<!--            }-->
<!--          },-->
<!--          {-->
<!--            position: [120.734520, 31.257180],-->
<!--            content: "危化品库和特气房",-->
<!--            // icon: 'http://vdata.amap.com/icons/b18/1/2.png',-->
<!--            events: {-->
<!--              click: () => {-->
<!--                self.show3Dmodel('危化品库和特气房')-->
<!--                self.showBuilding('危化品库和特气房')-->
<!--              }-->
<!--            }-->
<!--          },-->
<!--        ],-->
<!--        searchOption: {-->
<!--          city: "苏州",-->
<!--          citylimit: false,-->
<!--        },-->
<!--        Geocoder:null,-->
<!--        center:[120.734177,31.256334],-->
<!--        lng: 120.734177,-->
<!--        lat: 31.256334,-->
<!--        zoom: 19,-->
<!--        zooms:[3,20],-->
<!--        expandZoomRange:true,-->
<!--        plugin: [-->
<!--          {-->
<!--            pName: "Geocoder", //使用AMap.Geocoder插件-->
<!--            events: {-->
<!--              init(o) {-->
<!--                self.Geocoder = o; // o 则是AMap.Geocoder的实例 对外部的Geocoder变量进行赋值，在任何地方就都可以使用了-->
<!--                //self.center 具体坐标 （数组格式） ，function 回调函数-->
<!--                o.getAddress(self.center, function (status, result) {-->
<!--                  if (status === "complete" && result.info === "OK") {-->
<!--                    //result.regeocode.formattedAddress就是具体位置-->
<!--                    self.input = result.regeocode.formattedAddress;-->
<!--                    //对搜索组件的input进行赋值-->
<!--                    document.querySelector(".search-box-wrapper input").value =-->
<!--                      self.input;-->
<!--                  }-->
<!--                });-->
<!--              },-->
<!--            },-->
<!--          },-->
<!--        ],-->
<!--        events:{-->
<!--          init: (o) => {-->
<!--            o.getCity((result) => {-->
<!--              // console.log(result);-->
<!--            });-->
<!--          },-->
<!--          moveend: () => {},-->
<!--          zoomchange: () => {},-->
<!--          click: (e) => {-->
<!--            console.log(e.lnglat)-->
<!--            let { lng, lat } = e.lnglat;-->
<!--            self.lng = lng;-->
<!--            self.lat = lat;-->
<!--            if (lng >120.733073 && lng<120.733586 && lat >31.256963 && lat<31.257403){-->
<!--              // console.log("C楼")-->
<!--              self.showBuild("C");-->
<!--            }else if (lng >120.734457 && lng<120.734824 && lat >31.257076 && lat<31.257331){-->
<!--              // console.log("危化品库和特气房")-->
<!--              self.showBuild("危化品库和特气房");-->
<!--            }else {-->
<!--              self.center = [e.lnglat.lng, e.lnglat.lat];-->
<!--              self.Geocoder.getAddress(self.center, function (status, result) { //根据坐标获取位置-->
<!--                if (status === "complete" && result.info === "OK") {-->
<!--                  // console.log(result)-->
<!--                  self.input = result.regeocode.formattedAddress;-->
<!--                  document.querySelector(".search-box-wrapper input").value =-->
<!--                    self.input;-->
<!--                }-->
<!--              });-->
<!--            }-->
<!--          },-->
<!--        },-->

<!--        certUrl: process.env.IMG_API + '/media/safecerts/',-->
<!--        //PDF预览-->
<!--        viewVisible: false,-->
<!--        pdfUrl: null,-->
<!--        pdfPage: 1,-->
<!--        pageCount: 0,-->

<!--        isWarning:false,-->
<!--        check:'90%',-->
<!--        fireWarnNum:0,-->
<!--        fireWarnVisible:false,-->
<!--        fireWarnList:[],-->
<!--        reagentNum:0,-->
<!--        reagentVisible:false,-->
<!--        reagentList:[],-->
<!--        reagentPersonNum:0,-->
<!--        reagentPersonVisible:false,-->
<!--        reagentPersonList:[],-->
<!--        gasWarnNum:0,-->
<!--        gasWarnVisible:false,-->
<!--        gasWarnList:[],-->
<!--        electricalWarnNum:0,-->
<!--        electricalWarnList:[],-->
<!--        electricalErrorNum:0,-->
<!--        electricalErrorList:[],-->
<!--        gasSafeWarnNum:0,-->
<!--        gasSafeWarnList:[],-->
<!--        gasSafeErrorNum:0,-->
<!--        gasSafeErrorList:[],-->
<!--        visitorNum:0,-->
<!--        visitorList:[],-->
<!--        visitorWarnNum:0,-->
<!--        visitorWarnList:[],-->
<!--        radiationWarnNum: 0,-->
<!--        radiationWarnVisible:false,-->
<!--        radiationWarnList: [],-->
<!--        radiationErrorNum: 0,-->
<!--        radiationErrorVisible:false,-->
<!--        radiationErrorList: [],-->
<!--        WarningInfo:null,-->
<!--        warnDataVisible:false,-->
<!--        WarningTempInfo:null,-->
<!--        labInfo:null,-->
<!--        floorName: '',-->
<!--        floor: '',-->
<!--        roomName: '',-->
<!--        roomZonehe: '../../../static/map/img/dang/default.png',-->
<!--        nowDate:null,-->
<!--        roomFireNum:0,-->
<!--        roomFireList:[],-->
<!--        floorFireNum:0,-->
<!--        floorFireList:[],-->
<!--        roomFireDataVisible: false,-->
<!--        floorFireDataVisible:false,-->

<!--        imgUrl: process.env.IMG_API + '/media/building/',-->
<!--        listLoading: true,-->
<!--        queryType: '园区',-->
<!--        buildingName: '',-->
<!--        tableKey: 0,-->
<!--        roomLocation: null,-->
<!--        roomLocation1: null,-->
<!--        roomInfo: null,-->
<!--        //console.log(e) type=room 取position值-->
<!--        labs: [{-->
<!--          location: "C419",-->
<!--          x: 1.5509966268183923,-->
<!--          y: 0.1000000014901179,-->
<!--          z: -4.3281989847121025,-->
<!--          floor: "F4",-->
<!--          building: "教育综合楼C"-->
<!--        },-->
<!--          {-->
<!--            location: "C418",-->
<!--            x: 0.8557691274003609,-->
<!--            y: 0.10000000149011967,-->
<!--            z: -19.35793097829908,-->
<!--            floor: "F4",-->
<!--            building: "教育综合楼C"-->
<!--          },-->
<!--          {-->
<!--            location: "C419",-->
<!--            x: 1.6390631924193713,-->
<!--            y: 0.10000000149010901,-->
<!--            z: -1.7947341213216106,-->
<!--            floor: "F4",-->
<!--            building: "教育综合楼C"-->
<!--          },-->
<!--          {-->
<!--            location: "C419",-->
<!--            x: 1.4406161376488704,-->
<!--            y: 0.10000000149011612,-->
<!--            z: 0.348054256500987,-->
<!--            floor: "F4",-->
<!--            building: "教育综合楼C"-->
<!--          },],-->

<!--        bodyStyle:{padding:'20px'},-->

<!--      }-->
<!--    },-->
<!--    components: {-->
<!--      pdf,-->
<!--    },-->
<!--    computed: {-->
<!--      ...mapGetters([-->
<!--        'userType',-->
<!--        'instituteId',-->
<!--        'instituteName',-->
<!--        'fullname'-->
<!--      ]),-->
<!--    },-->
<!--    mounted() {-->
<!--      let that = this;-->
<!--      var mapdom = document.getElementById("amap");-->
<!--      mapdom.style.height = window.innerHeight * 0.95 + "px";-->

<!--      document.getElementById("back").style.display = "none";-->
<!--      document.getElementById("indoormap").style.display = "none";-->

<!--      that.show3Dmodel = function (item) {-->
<!--        let labs = that.labs-->
<!--        var floorSwitch;-->
<!--        var buildName='';-->

<!--        document.getElementById("amap").style.display = "none";-->
<!--        document.getElementById("back").style.display = "block";-->

<!--        if(document.getElementById("indoormap")!= null){-->
<!--          var dom = document.getElementById("indoormap");-->
<!--          dom.style.height = window.innerHeight * 0.95 + "px";-->
<!--          dom.style.display = "block";-->
<!--        }-->
<!--        else{-->
<!--          var createDiv = document.createElement("div");-->
<!--          createDiv.id="indoormap";-->
<!--          createDiv.style.width = "55%";-->
<!--          createDiv.style.position = "absolute";-->
<!--          createDiv.style.height = window.innerHeight * 0.95 + "px";-->
<!--          document.getElementById("container").appendChild(createDiv);//添加到BODY节点中-->

<!--          var e = $("#indoormap");-->
<!--          e.prev().insertAfter(e);-->
<!--          e.prev().insertAfter(e);-->
<!--          e.prev().insertAfter(e);-->
<!--          e.prev().insertAfter(e);-->
<!--        }-->
<!--        if (item == '教育综合楼C'){-->
<!--          document.getElementById("back").style.display = "block";-->
<!--          var dom = document.getElementById("indoormap");-->
<!--          dom.style.height = window.innerHeight * 0.95 + "px";-->

<!--          var map = new AirocovMap.Map({-->
<!--            container: document.getElementById("indoormap"),-->
<!--            mapUrl: './static/map/buildingNew.acmap',-->
<!--            themeUrl: "../static/map/theme/theme.json",-->
<!--            zoom: 0.7,-->
<!--            pointScale: 1.5,-->
<!--            font: {-->
<!--              iconScale: 1.5,-->
<!--            },-->
<!--            key: "KMED1W0N50YIWIYJCUNLYPMJ49JDLASE",-->
<!--          });-->

<!--          // 创建2/3D模式切换控件-->
<!--          new AirocovMap.controls.ModeSwitch(map);-->

<!--          document.getElementById("back").onclick = function() {-->
<!--            document.getElementById("indoormap").style.display = "none";-->
<!--            document.getElementById("amap").style.display = "block";-->
<!--            document.getElementById("back").style.display = "none";-->
<!--            that.showZone()-->
<!--            map.dispose()-->
<!--          }-->

<!--          map.event.on("showAllFloor", function(e) {-->
<!--            console.log(e)-->
<!--            that.showBuilding()-->

<!--            if(buildName =='危化品库和特气房' && window.innerWidth <1200){-->
<!--              map.render.camera.lookAt(map.render.camera.control.target, map.render.camera.config.extremum * 2);-->
<!--            }else if(window.innerWidth <1200){-->
<!--              map.render.camera.lookAt(map.render.camera.control.target, map.render.camera.config.extremum * 0.9 / 0.5);-->
<!--            } else{-->
<!--              map.render.camera.lookAt(map.render.camera.control.target, map.render.camera.config.extremum * 0.8 / 0.5);-->
<!--            }-->
<!--          })-->

<!--          map.event.on("click", function(e) {-->
<!--            e.target.dispatchEvent({ type: 'test', aaa: 1 })-->
<!--            if (e.type == 'room' && e.target.name != '教育综合楼C' && e.target.name != '危化品库和特气房') {-->
<!--              that.showRoom(e.target.name)-->
<!--            }-->
<!--          })-->

<!--          map.event.on("loaded", function() {-->
<!--            console.log("loaded")-->
<!--            if(window.innerWidth <1200){-->
<!--              map.render.camera.lookAt(map.render.camera.control.target, map.render.camera.config.extremum * 0.9 / 0.5);-->
<!--            }else{-->
<!--              map.render.camera.lookAt(map.render.camera.control.target, map.render.camera.config.extremum * 0.8 / 0.5);-->
<!--            }-->

<!--            floorSwitch = new AirocovMap.controls.FloorSwitch(map, {-->
<!--              //  left: '', //控件与容器左侧距离，或添加right属性，设置与容器右侧距离-->
<!--              //  top: '', //控件与容器顶部距离，或添加bottom属性，设置与容器底部距离-->
<!--              type: 1, //控件功能类型，可选项：1选择某一楼层时如果当前为多楼层状态，则变为单楼层状态，并进入目标楼层，0不改变单多楼层状态，仅切换视角至目标楼层。-->
<!--              //点击按钮的回调方法,返回type表示按钮类型,value表示对应的功能值-->
<!--              // clickCallBack: function() {-->
<!--              //   //console.log(type);-->
<!--              // },-->
<!--            });-->

<!--            if (that.floorName == 'C'){-->
<!--              map.showBuilding("教育综合楼C", function(building){-->
<!--                if(window.innerWidth <1200){-->
<!--                  map.render.camera.lookAt(map.render.camera.control.target, map.render.camera.config.extremum * 0.9 / 0.5);-->
<!--                }else{-->
<!--                  map.render.camera.lookAt(map.render.camera.control.target, map.render.camera.config.extremum * 0.8 / 0.5);-->
<!--                }-->

<!--                floorSwitch = new AirocovMap.controls.FloorSwitch(map, {-->
<!--                  //  left: '', //控件与容器左侧距离，或添加right属性，设置与容器右侧距离-->
<!--                  //  top: '', //控件与容器顶部距离，或添加bottom属性，设置与容器底部距离-->
<!--                  type: 1, //控件功能类型，可选项：1选择某一楼层时如果当前为多楼层状态，则变为单楼层状态，并进入目标楼层，0不改变单多楼层状态，仅切换视角至目标楼层。-->
<!--                  //点击按钮的回调方法,返回type表示按钮类型,value表示对应的功能值-->
<!--                  clickCallBack: function () {-->
<!--                    //console.log(type);-->
<!--                  },-->
<!--                });-->

<!--                document.getElementById("back").style.display = "block";-->
<!--                document.getElementById("back").innerHTML = "返回园区";-->
<!--                if (that.floor == '4'){-->
<!--                  map.showOneFloor("F4");-->
<!--                }-->
<!--              });-->
<!--            }-->

<!--            if (that.floorName =='危化品库房'|| that.floorName=='特气房'){-->
<!--              map.showBuilding("危化品库和特气房", function(building){-->
<!--                if(window.innerWidth <1200){-->
<!--                  map.render.camera.lookAt(map.render.camera.control.target, map.render.camera.config.extremum * 2);-->
<!--                }else{-->
<!--                  map.render.camera.lookAt(map.render.camera.control.target, map.render.camera.config.extremum * 0.6 / 0.5);-->
<!--                }-->
<!--                floorSwitch = new AirocovMap.controls.FloorSwitch(map, {-->
<!--                  type: 1-->
<!--                });-->
<!--                document.getElementById("back").style.display = "block";-->
<!--                document.getElementById("back").innerHTML = "返回园区";-->
<!--              });-->
<!--            }-->

<!--            new AirocovMap.covers.ImageMarker({-->
<!--              imgSrc: "../../../static/map/img/video.png",-->
<!--              size: 1.8,-->
<!--              position: {-->
<!--                x: 130.59411969242132,-->
<!--                y: 0.0500000007450675,-->
<!--                z: -42.26700660780131-->
<!--              },-->
<!--              userData: {-->
<!--                id: "video03"-->
<!--              },-->
<!--              callback: function(imgMark) {-->
<!--                // imgMark.addEventListener('test', function(a) {-->
<!--                //   videoOpen("cccd6223ca4748a28b0a77eedd812ea2")-->
<!--                //   document.getElementById('light3').style.display = 'block';-->
<!--                //   document.getElementById('fade3').style.display = 'block'-->
<!--                //   if (oWebControl == null) {-->
<!--                //     initPlugin("playWnd3", 500, 900);-->
<!--                //     setTimeout(function() {-->
<!--                //       videoOpen("7c57528528694256b4dfdf694df5040c")-->
<!--                //     }, 1000)-->
<!--                //     videoCode = "7c57528528694256b4dfdf694df5040c"-->
<!--                //   }-->
<!--                // })-->
<!--                map.addToZone({-->
<!--                  object: imgMark,-->
<!--                  //buildingName:"教育综合楼C",-->
<!--                  layerName: "video03",-->
<!--                  isClick: true-->
<!--                });-->
<!--              }-->
<!--            });-->

<!--            new AirocovMap.covers.ImageMarker({-->
<!--              imgSrc: "../../../static/map/img/video.png",-->
<!--              size: 1.8,-->
<!--              position: {-->
<!--                x: 2.171455963903128,-->
<!--                y: 0.050000000745059836,-->
<!--                z: -5.873382196940852-->
<!--              },-->
<!--              userData: {-->
<!--                id: "video02"-->
<!--              },-->
<!--              callback: function(imgMark) {-->
<!--                // imgMark.addEventListener('test', function(a) {-->
<!--                //   if (flag == 1) {-->
<!--                //     videoCode = "cccd6223ca4748a28b0a77eedd812ea2"-->
<!--                //     videoOpen("cccd6223ca4748a28b0a77eedd812ea2")-->
<!--                //   } else {-->
<!--                //     document.getElementById('light3').style.display = 'block';-->
<!--                //     document.getElementById('fade3').style.display = 'block'-->
<!--                //     if (oWebControl == null) {-->
<!--                //       initPlugin("playWnd3", 500, 900);-->
<!--                //       setTimeout(function() {-->
<!--                //         videoOpen("cccd6223ca4748a28b0a77eedd812ea2")-->
<!--                //       }, 1000)-->
<!--                //-->
<!--                //     }-->
<!--                //   }-->
<!--                // })-->
<!--                map.addToFloor({-->
<!--                  object: imgMark,-->
<!--                  buildingName: "教育综合楼C",-->
<!--                  floorName: "F4",-->
<!--                  layerName: "video02",-->
<!--                  isClick: true-->
<!--                });-->
<!--              }-->
<!--            });-->

<!--            new AirocovMap.covers.ImageMarker({-->
<!--              imgSrc: "../../../static/map/img/video.png",-->
<!--              size: 1.8,-->
<!--              position: {-->
<!--                x: -5.52968292685512,-->
<!--                y: 0.10000000149011612,-->
<!--                z: -0.6202908691657001-->
<!--              },-->
<!--              userData: {-->
<!--                id: "video04"-->
<!--              },-->
<!--              callback: function(imgMark) {-->
<!--                // imgMark.addEventListener('test', function(a) {-->
<!--                //   if (flag == 1) {-->
<!--                //     videoOpen("c0fa9ac577854556a1048fb0c0baddcd")-->
<!--                //     videoCode = "c0fa9ac577854556a1048fb0c0baddcd"-->
<!--                //   } else {-->
<!--                //     document.getElementById('light3').style.display = 'block';-->
<!--                //     document.getElementById('fade3').style.display = 'block'-->
<!--                //     if (oWebControl == null) {-->
<!--                //       initPlugin("playWnd3", 500, 900);-->
<!--                //       setTimeout(function() {-->
<!--                //         videoOpen("c0fa9ac577854556a1048fb0c0baddcd")-->
<!--                //       }, 1000)-->
<!--                //-->
<!--                //     }-->
<!--                //   }-->
<!--                //   //videoOpen("c0fa9ac577854556a1048fb0c0baddcd")-->
<!--                // })-->
<!--                map.addToFloor({-->
<!--                  object: imgMark,-->
<!--                  buildingName: "教育综合楼C",-->
<!--                  floorName: "F4",-->
<!--                  layerName: "video04",-->
<!--                  isClick: true-->
<!--                });-->
<!--              }-->
<!--            });-->

<!--            new AirocovMap.covers.ImageMarker({-->
<!--              imgSrc: "../../../static/map/img/video.png",-->
<!--              size: 1.8,-->
<!--              position: {-->
<!--                x: -15.669645971985037,-->
<!--                y: 0.05000000074506161,-->
<!--                z: -15.488214806370095-->
<!--              },-->
<!--              userData: {-->
<!--                id: "video01"-->
<!--              },-->
<!--              callback: function(imgMark) {-->
<!--                // imgMark.addEventListener('test', function(a) {-->
<!--                //   //videoOpen("af593b4fdc614c13ad1018b0c7e8b1e9")-->
<!--                //   if (flag == 1) {-->
<!--                //     videoOpen("af593b4fdc614c13ad1018b0c7e8b1e9")-->
<!--                //     videoCode = "c0fa9ac577854556a1048fb0c0baddcd"-->
<!--                //   } else {-->
<!--                //     document.getElementById('light3').style.display = 'block';-->
<!--                //     document.getElementById('fade3').style.display = 'block'-->
<!--                //     if (oWebControl == null) {-->
<!--                //       initPlugin("playWnd3", 500, 900);-->
<!--                //       setTimeout(function() {-->
<!--                //         videoOpen("af593b4fdc614c13ad1018b0c7e8b1e9")-->
<!--                //       }, 1000)-->
<!--                //     }-->
<!--                //   }-->
<!--                // })-->
<!--                map.addToFloor({-->
<!--                  object: imgMark,-->
<!--                  buildingName: "教育综合楼C",-->
<!--                  floorName: "F4",-->
<!--                  layerName: "video01",-->
<!--                  isClick: true-->
<!--                });-->
<!--              }-->
<!--            });-->

<!--            new AirocovMap.covers.ImageMarker({-->
<!--              imgSrc: "./../../../static/map/img/icon.png",-->
<!--              size: 1.8,-->
<!--              position: {-->
<!--                x: labs[0].x,-->
<!--                y: labs[0].y,-->
<!--                z: labs[0].z-->
<!--              },-->
<!--              userData: {-->
<!--                id: "video02"-->
<!--              },-->
<!--              callback: function(imgMark) {-->
<!--                map.addToFloor({-->
<!--                  object: imgMark,-->
<!--                  floorName: labs[0].floor,-->
<!--                  layerName: labs[0].location,-->
<!--                  buildingName: labs[0].building,-->
<!--                  isClick: true-->
<!--                });-->
<!--              }-->
<!--            });-->

<!--            new AirocovMap.covers.ImageMarker({-->
<!--              imgSrc: "./../../../static/map/img/gassafe.png",-->
<!--              size: 1.8,-->
<!--              position: {-->
<!--                x: labs[2].x,-->
<!--                y: labs[2].y,-->
<!--                z: labs[2].z-->
<!--              },-->
<!--              userData: {-->
<!--                id: "video02"-->
<!--              },-->
<!--              callback: function(imgMark) {-->
<!--                map.addToFloor({-->
<!--                  object: imgMark,-->
<!--                  floorName: labs[2].floor,-->
<!--                  layerName: labs[2].location,-->
<!--                  buildingName: labs[2].building,-->
<!--                  isClick: true-->
<!--                });-->
<!--              }-->
<!--            });-->

<!--            new AirocovMap.covers.ImageMarker({-->
<!--              imgSrc: "./../../../static/map/img/electrical.png",-->
<!--              size: 1.8,-->
<!--              position: {-->
<!--                x: labs[3].x,-->
<!--                y: labs[3].y,-->
<!--                z: labs[3].z-->
<!--              },-->
<!--              userData: {-->
<!--                id: "video02"-->
<!--              },-->
<!--              callback: function(imgMark) {-->
<!--                map.addToFloor({-->
<!--                  object: imgMark,-->
<!--                  floorName: labs[3].floor,-->
<!--                  layerName: labs[3].location,-->
<!--                  buildingName: labs[3].building,-->
<!--                  isClick: true-->
<!--                });-->
<!--              }-->
<!--            });-->

<!--            new AirocovMap.covers.ImageMarker({-->
<!--              imgSrc: "./../../../static/map/img/icon.png",-->
<!--              size: 1.8,-->
<!--              position: {-->
<!--                x: labs[1].x,-->
<!--                y: labs[1].y,-->
<!--                z: labs[1].z-->
<!--              },-->
<!--              userData: {-->
<!--                id: "video02"-->
<!--              },-->
<!--              callback: function(imgMark) {-->
<!--                map.addToFloor({-->
<!--                  object: imgMark,-->
<!--                  floorName: labs[1].floor,-->
<!--                  layerName: labs[1].location,-->
<!--                  buildingName: labs[1].building,-->
<!--                  isClick: true-->
<!--                });-->
<!--              }-->
<!--            });-->
<!--          });-->

<!--          map.event.on("changeFloor", function(e) {-->
<!--            console.log(e,buildName)-->
<!--            that.showFloor(e.floorObject.parent.name, e.floor)-->
<!--            if(buildName =='危化品库和特气房' && window.innerWidth <1200){-->
<!--              map.render.camera.lookAt(map.render.camera.control.target, map.render.camera.config.extremum * 2);-->
<!--            }else if(window.innerWidth <1200){-->
<!--              map.render.camera.lookAt(map.render.camera.control.target, map.render.camera.config.extremum * 1.2);-->
<!--            }-->
<!--            if (e.floor == "F4") {-->
<!--            }-->
<!--          });-->
<!--        }-->
<!--        else if (item == '危化品库和特气房'){-->
<!--          var map = new AirocovMap.Map({-->
<!--            container: document.getElementById("indoormap"),-->
<!--            mapUrl: './static/map/danger2.acmap',-->
<!--            themeUrl: "../static/map/theme/theme.json",-->
<!--            zoom: 0.7,-->
<!--            pointScale: 1.5,-->
<!--            font: {-->
<!--              iconScale: 1.5,-->
<!--            },-->
<!--            key: "KMED1W0N50YIWIYJCUNLYPMJ49JDLASE",-->
<!--          });-->

<!--          // 创建2/3D模式切换控件-->
<!--          new AirocovMap.controls.ModeSwitch(map);-->

<!--          document.getElementById("back").onclick = function() {-->
<!--            document.getElementById("indoormap").style.display = "none";-->
<!--            document.getElementById("amap").style.display = "block";-->
<!--            document.getElementById("back").style.display = "none";-->
<!--            that.showZone()-->
<!--            map.dispose()-->
<!--          }-->

<!--          map.event.on("showAllFloor", function(e) {-->
<!--            console.log(e)-->
<!--            that.showBuilding()-->

<!--            if(buildName =='危化品库和特气房' && window.innerWidth <1200){-->
<!--              map.render.camera.lookAt(map.render.camera.control.target, map.render.camera.config.extremum * 2);-->
<!--            }else if(window.innerWidth <1200){-->
<!--              map.render.camera.lookAt(map.render.camera.control.target, map.render.camera.config.extremum * 0.9 / 0.5);-->
<!--            } else{-->
<!--              map.render.camera.lookAt(map.render.camera.control.target, map.render.camera.config.extremum * 0.8 / 0.5);-->
<!--            }-->
<!--          })-->

<!--          map.event.on("click", function(e) {-->
<!--            console.log(e)-->
<!--            e.target.dispatchEvent({ type: 'test', aaa: 1 })-->
<!--            if (e.type == 'room' && e.target.name != '教育综合楼C' && e.target.name != '危化品库和特气房') {-->
<!--              that.showRoom(e.target.name)-->
<!--            }-->
<!--          })-->

<!--          map.event.on("loaded", function() {-->
<!--            console.log("loaded")-->
<!--            if(window.innerWidth <1200){-->
<!--              map.render.camera.lookAt(map.render.camera.control.target, map.render.camera.config.extremum * 0.7 / 0.5);-->
<!--            }else {-->
<!--              map.render.camera.lookAt(map.render.camera.control.target, map.render.camera.config.extremum * 0.8 / 0.5);-->
<!--            }-->

<!--            floorSwitch = new AirocovMap.controls.FloorSwitch(map, {-->
<!--              //  left: '', //控件与容器左侧距离，或添加right属性，设置与容器右侧距离-->
<!--              //  top: '', //控件与容器顶部距离，或添加bottom属性，设置与容器底部距离-->
<!--              type: 1, //控件功能类型，可选项：1选择某一楼层时如果当前为多楼层状态，则变为单楼层状态，并进入目标楼层，0不改变单多楼层状态，仅切换视角至目标楼层。-->
<!--              //点击按钮的回调方法,返回type表示按钮类型,value表示对应的功能值-->
<!--              // clickCallBack: function() {-->
<!--              //   //console.log(type);-->
<!--              // },-->
<!--            });-->
<!--          });-->

<!--          map.event.on("changeFloor", function(e) {-->
<!--            console.log(e)-->
<!--            that.showFloor(e.floorObject.parent.name, e.floor)-->
<!--            if(window.innerWidth <1200){-->
<!--              map.render.camera.lookAt(map.render.camera.control.target, map.render.camera.config.extremum * 1.2);-->
<!--            }-->
<!--          });-->
<!--        }-->
<!--      }-->

<!--      that.showWarnFloor =  function showWarnFloor() {-->
<!--        let labs = that.labs-->
<!--        var floorSwitch;-->
<!--        var buildName = '';-->

<!--        document.getElementById("amap").style.display = "none";-->
<!--        document.getElementById("back").style.display = "block";-->

<!--        if (document.getElementById("indoormap") != null) {-->
<!--          var dom = document.getElementById("indoormap");-->
<!--          dom.style.height = window.innerHeight * 0.95 + "px";-->
<!--          dom.style.display = "block";-->
<!--        } else {-->
<!--          var createDiv = document.createElement("div");-->
<!--          createDiv.id = "indoormap";-->
<!--          createDiv.style.width = "55%";-->
<!--          createDiv.style.position = "absolute";-->
<!--          createDiv.style.height = window.innerHeight * 0.95 + "px";-->
<!--          document.getElementById("container").appendChild(createDiv);//添加到BODY节点中-->

<!--          var e = $("#indoormap");-->
<!--          e.prev().insertAfter(e);-->
<!--          e.prev().insertAfter(e);-->
<!--          e.prev().insertAfter(e);-->
<!--          e.prev().insertAfter(e);-->
<!--        }-->

<!--        document.getElementById("back").style.display = "block";-->
<!--        var dom = document.getElementById("indoormap");-->
<!--        dom.style.height = window.innerHeight * 0.95 + "px";-->

<!--        var map = new AirocovMap.Map({-->
<!--          container: document.getElementById("indoormap"),-->
<!--          mapUrl: './static/map/buildingNew.acmap',-->
<!--          themeUrl: "../static/map/theme/theme.json",-->
<!--          zoom: 0.7,-->
<!--          pointScale: 1.5,-->
<!--          font: {-->
<!--            iconScale: 1.5,-->
<!--          },-->
<!--          key: "KMED1W0N50YIWIYJCUNLYPMJ49JDLASE",-->
<!--        });-->

<!--        // 创建2/3D模式切换控件-->
<!--        new AirocovMap.controls.ModeSwitch(map);-->

<!--        document.getElementById("back").onclick = function() {-->
<!--          document.getElementById("indoormap").style.display = "none";-->
<!--          document.getElementById("amap").style.display = "block";-->
<!--          document.getElementById("back").style.display = "none";-->
<!--          that.showZone()-->
<!--          map.dispose()-->
<!--        }-->

<!--        map.event.on("showAllFloor", function(e) {-->
<!--          console.log(e)-->
<!--          that.showBuilding()-->

<!--          if (buildName == '危化品库和特气房' && window.innerWidth < 1200) {-->
<!--            map.render.camera.lookAt(map.render.camera.control.target, map.render.camera.config.extremum * 2);-->
<!--          } else if (window.innerWidth < 1200) {-->
<!--            map.render.camera.lookAt(map.render.camera.control.target, map.render.camera.config.extremum * 0.9 / 0.5);-->
<!--          } else {-->
<!--            map.render.camera.lookAt(map.render.camera.control.target, map.render.camera.config.extremum * 0.8 / 0.5);-->
<!--          }-->
<!--        })-->

<!--        map.event.on("click", function(e) {-->
<!--          e.target.dispatchEvent({ type: 'test', aaa: 1 })-->
<!--          if (e.type == 'room' && e.target.name != '教育综合楼C' && e.target.name != '危化品库和特气房') {-->
<!--            that.showRoom(e.target.name)-->
<!--          }-->
<!--        })-->

<!--        map.event.on("loaded", function() {-->
<!--          console.log("loaded")-->
<!--          if (window.innerWidth < 1200) {-->
<!--            map.render.camera.lookAt(map.render.camera.control.target, map.render.camera.config.extremum * 0.9 / 0.5);-->
<!--          } else {-->
<!--            map.render.camera.lookAt(map.render.camera.control.target, map.render.camera.config.extremum * 0.8 / 0.5);-->
<!--          }-->

<!--          floorSwitch = new AirocovMap.controls.FloorSwitch(map, {-->
<!--            //  left: '', //控件与容器左侧距离，或添加right属性，设置与容器右侧距离-->
<!--            //  top: '', //控件与容器顶部距离，或添加bottom属性，设置与容器底部距离-->
<!--            type: 1, //控件功能类型，可选项：1选择某一楼层时如果当前为多楼层状态，则变为单楼层状态，并进入目标楼层，0不改变单多楼层状态，仅切换视角至目标楼层。-->
<!--            //点击按钮的回调方法,返回type表示按钮类型,value表示对应的功能值-->
<!--            // clickCallBack: function() {-->
<!--            //   //console.log(type);-->
<!--            // },-->
<!--          });-->

<!--          map.showOneFloor("F" + that.floor);-->
<!--          console.log(map.data.getFloorById(3).getLayer("roomGroup").children)-->
<!--          var rooms=[]-->
<!--          if(that.floor=="1"){-->
<!--            rooms = map.data.getFloorById(0).getLayer("roomGroup").children-->
<!--          }-->
<!--          if(that.floor=="2"){-->
<!--            rooms = map.data.getFloorById(1).getLayer("roomGroup").children-->
<!--          }-->
<!--          if(that.floor=="3"){-->
<!--            rooms = map.data.getFloorById(2).getLayer("roomGroup").children-->
<!--          }-->
<!--          if(that.floor=="4"){-->
<!--            rooms = map.data.getFloorById(3).getLayer("roomGroup").children-->
<!--          }-->
<!--          if(that.floor=="5"){-->
<!--            rooms = map.data.getFloorById(4).getLayer("roomGroup").children-->
<!--          }-->
<!--          if(rooms!=null){-->
<!--            for(var i=0;i<rooms.length;i++){-->
<!--              if(rooms[i].name.replace('C', '') ==that.roomName){-->
<!--                rooms[i].flash("#F00")-->
<!--              }-->
<!--            }-->
<!--          }-->

<!--          new AirocovMap.covers.ImageMarker({-->
<!--            imgSrc: "../../../static/map/img/video.png",-->
<!--            size: 1.8,-->
<!--            position: {-->
<!--              x: 130.59411969242132,-->
<!--              y: 0.0500000007450675,-->
<!--              z: -42.26700660780131-->
<!--            },-->
<!--            userData: {-->
<!--              id: "video03"-->
<!--            },-->
<!--            callback: function(imgMark) {-->
<!--              // imgMark.addEventListener('test', function(a) {-->
<!--              //   videoOpen("cccd6223ca4748a28b0a77eedd812ea2")-->
<!--              //   document.getElementById('light3').style.display = 'block';-->
<!--              //   document.getElementById('fade3').style.display = 'block'-->
<!--              //   if (oWebControl == null) {-->
<!--              //     initPlugin("playWnd3", 500, 900);-->
<!--              //     setTimeout(function() {-->
<!--              //       videoOpen("7c57528528694256b4dfdf694df5040c")-->
<!--              //     }, 1000)-->
<!--              //     videoCode = "7c57528528694256b4dfdf694df5040c"-->
<!--              //   }-->
<!--              // })-->
<!--              map.addToZone({-->
<!--                object: imgMark,-->
<!--                //buildingName:"教育综合楼C",-->
<!--                layerName: "video03",-->
<!--                isClick: true-->
<!--              });-->
<!--            }-->
<!--          });-->

<!--          new AirocovMap.covers.ImageMarker({-->
<!--            imgSrc: "../../../static/map/img/video.png",-->
<!--            size: 1.8,-->
<!--            position: {-->
<!--              x: 2.171455963903128,-->
<!--              y: 0.050000000745059836,-->
<!--              z: -5.873382196940852-->
<!--            },-->
<!--            userData: {-->
<!--              id: "video02"-->
<!--            },-->
<!--            callback: function(imgMark) {-->
<!--              // imgMark.addEventListener('test', function(a) {-->
<!--              //   if (flag == 1) {-->
<!--              //     videoCode = "cccd6223ca4748a28b0a77eedd812ea2"-->
<!--              //     videoOpen("cccd6223ca4748a28b0a77eedd812ea2")-->
<!--              //   } else {-->
<!--              //     document.getElementById('light3').style.display = 'block';-->
<!--              //     document.getElementById('fade3').style.display = 'block'-->
<!--              //     if (oWebControl == null) {-->
<!--              //       initPlugin("playWnd3", 500, 900);-->
<!--              //       setTimeout(function() {-->
<!--              //         videoOpen("cccd6223ca4748a28b0a77eedd812ea2")-->
<!--              //       }, 1000)-->
<!--              //-->
<!--              //     }-->
<!--              //   }-->
<!--              // })-->
<!--              map.addToFloor({-->
<!--                object: imgMark,-->
<!--                buildingName: "教育综合楼C",-->
<!--                floorName: "F4",-->
<!--                layerName: "video02",-->
<!--                isClick: true-->
<!--              });-->
<!--            }-->
<!--          });-->

<!--          new AirocovMap.covers.ImageMarker({-->
<!--            imgSrc: "../../../static/map/img/video.png",-->
<!--            size: 1.8,-->
<!--            position: {-->
<!--              x: -5.52968292685512,-->
<!--              y: 0.10000000149011612,-->
<!--              z: -0.6202908691657001-->
<!--            },-->
<!--            userData: {-->
<!--              id: "video04"-->
<!--            },-->
<!--            callback: function(imgMark) {-->
<!--              // imgMark.addEventListener('test', function(a) {-->
<!--              //   if (flag == 1) {-->
<!--              //     videoOpen("c0fa9ac577854556a1048fb0c0baddcd")-->
<!--              //     videoCode = "c0fa9ac577854556a1048fb0c0baddcd"-->
<!--              //   } else {-->
<!--              //     document.getElementById('light3').style.display = 'block';-->
<!--              //     document.getElementById('fade3').style.display = 'block'-->
<!--              //     if (oWebControl == null) {-->
<!--              //       initPlugin("playWnd3", 500, 900);-->
<!--              //       setTimeout(function() {-->
<!--              //         videoOpen("c0fa9ac577854556a1048fb0c0baddcd")-->
<!--              //       }, 1000)-->
<!--              //-->
<!--              //     }-->
<!--              //   }-->
<!--              //   //videoOpen("c0fa9ac577854556a1048fb0c0baddcd")-->
<!--              // })-->
<!--              map.addToFloor({-->
<!--                object: imgMark,-->
<!--                buildingName: "教育综合楼C",-->
<!--                floorName: "F4",-->
<!--                layerName: "video04",-->
<!--                isClick: true-->
<!--              });-->
<!--            }-->
<!--          });-->

<!--          new AirocovMap.covers.ImageMarker({-->
<!--            imgSrc: "../../../static/map/img/video.png",-->
<!--            size: 1.8,-->
<!--            position: {-->
<!--              x: -15.669645971985037,-->
<!--              y: 0.05000000074506161,-->
<!--              z: -15.488214806370095-->
<!--            },-->
<!--            userData: {-->
<!--              id: "video01"-->
<!--            },-->
<!--            callback: function(imgMark) {-->
<!--              // imgMark.addEventListener('test', function(a) {-->
<!--              //   //videoOpen("af593b4fdc614c13ad1018b0c7e8b1e9")-->
<!--              //   if (flag == 1) {-->
<!--              //     videoOpen("af593b4fdc614c13ad1018b0c7e8b1e9")-->
<!--              //     videoCode = "c0fa9ac577854556a1048fb0c0baddcd"-->
<!--              //   } else {-->
<!--              //     document.getElementById('light3').style.display = 'block';-->
<!--              //     document.getElementById('fade3').style.display = 'block'-->
<!--              //     if (oWebControl == null) {-->
<!--              //       initPlugin("playWnd3", 500, 900);-->
<!--              //       setTimeout(function() {-->
<!--              //         videoOpen("af593b4fdc614c13ad1018b0c7e8b1e9")-->
<!--              //       }, 1000)-->
<!--              //     }-->
<!--              //   }-->
<!--              // })-->
<!--              map.addToFloor({-->
<!--                object: imgMark,-->
<!--                buildingName: "教育综合楼C",-->
<!--                floorName: "F4",-->
<!--                layerName: "video01",-->
<!--                isClick: true-->
<!--              });-->
<!--            }-->
<!--          });-->

<!--          new AirocovMap.covers.ImageMarker({-->
<!--            imgSrc: "./../../../static/map/img/icon.png",-->
<!--            size: 1.8,-->
<!--            position: {-->
<!--              x: labs[0].x,-->
<!--              y: labs[0].y,-->
<!--              z: labs[0].z-->
<!--            },-->
<!--            userData: {-->
<!--              id: "video02"-->
<!--            },-->
<!--            callback: function(imgMark) {-->
<!--              map.addToFloor({-->
<!--                object: imgMark,-->
<!--                floorName: labs[0].floor,-->
<!--                layerName: labs[0].location,-->
<!--                buildingName: labs[0].building,-->
<!--                isClick: true-->
<!--              });-->
<!--            }-->
<!--          });-->

<!--          new AirocovMap.covers.ImageMarker({-->
<!--            imgSrc: "./../../../static/map/img/gassafe.png",-->
<!--            size: 1.8,-->
<!--            position: {-->
<!--              x: labs[2].x,-->
<!--              y: labs[2].y,-->
<!--              z: labs[2].z-->
<!--            },-->
<!--            userData: {-->
<!--              id: "video02"-->
<!--            },-->
<!--            callback: function(imgMark) {-->
<!--              map.addToFloor({-->
<!--                object: imgMark,-->
<!--                floorName: labs[2].floor,-->
<!--                layerName: labs[2].location,-->
<!--                buildingName: labs[2].building,-->
<!--                isClick: true-->
<!--              });-->
<!--            }-->
<!--          });-->

<!--          new AirocovMap.covers.ImageMarker({-->
<!--            imgSrc: "./../../../static/map/img/electrical.png",-->
<!--            size: 1.8,-->
<!--            position: {-->
<!--              x: labs[3].x,-->
<!--              y: labs[3].y,-->
<!--              z: labs[3].z-->
<!--            },-->
<!--            userData: {-->
<!--              id: "video02"-->
<!--            },-->
<!--            callback: function(imgMark) {-->
<!--              map.addToFloor({-->
<!--                object: imgMark,-->
<!--                floorName: labs[3].floor,-->
<!--                layerName: labs[3].location,-->
<!--                buildingName: labs[3].building,-->
<!--                isClick: true-->
<!--              });-->
<!--            }-->
<!--          });-->

<!--          new AirocovMap.covers.ImageMarker({-->
<!--            imgSrc: "./../../../static/map/img/icon.png",-->
<!--            size: 1.8,-->
<!--            position: {-->
<!--              x: labs[1].x,-->
<!--              y: labs[1].y,-->
<!--              z: labs[1].z-->
<!--            },-->
<!--            userData: {-->
<!--              id: "video02"-->
<!--            },-->
<!--            callback: function(imgMark) {-->
<!--              map.addToFloor({-->
<!--                object: imgMark,-->
<!--                floorName: labs[1].floor,-->
<!--                layerName: labs[1].location,-->
<!--                buildingName: labs[1].building,-->
<!--                isClick: true-->
<!--              });-->
<!--            }-->
<!--          });-->
<!--        });-->

<!--        map.event.on("changeFloor", function(e) {-->
<!--          console.log(e, buildName)-->
<!--          that.showFloor(e.floorObject.parent.name, e.floor)-->
<!--          if (buildName == '危化品库和特气房' && window.innerWidth < 1200) {-->
<!--            map.render.camera.lookAt(map.render.camera.control.target, map.render.camera.config.extremum * 2);-->
<!--          } else if (window.innerWidth < 1200) {-->
<!--            map.render.camera.lookAt(map.render.camera.control.target, map.render.camera.config.extremum * 1.2);-->
<!--          }-->
<!--          if (e.floor == "F4") {-->
<!--          }-->
<!--        });-->
<!--      }-->

<!--    },-->
<!--    created() {-->
<!--      this.WarningInfo = this.$route.query.WarningInfo-->
<!--      if (this.WarningInfo != null && this.WarningInfo.length > 0){-->
<!--        this.warnDataVisible = true-->
<!--      }else {-->
<!--        this.getAllWarn()-->
<!--      }-->

<!--      if (window.innerWidth < 1200){-->
<!--        this.bodyStyle = {padding:'9px'}-->
<!--      }-->

<!--      this.getCheck()-->
<!--      this.getFireWarnInfo()-->
<!--      this.getReagentInfo()-->
<!--      this.getReagentPersonInfo()-->
<!--      this.getGasWarnInfo()-->
<!--      this.getElectricalWarnList()-->
<!--      this.getGasSafeWarnList()-->
<!--      this.getVisitorList()-->
<!--      this.getVisitorWarnList()-->
<!--      this.getRadiationWarnList()-->
<!--      this.getRadiationErrorList()-->
<!--    },-->
<!--    methods: {-->
<!--      onSearchResult(pois) {-->
<!--        if (pois != null && pois != ''){-->
<!--          this.input = document.querySelector(".search-box-wrapper input").value-->
<!--          //这边类似模糊查询 会返回一个数组，我就直接取第一个值了。-->
<!--          this.center = [pois[0].lng, pois[0].lat];-->
<!--        }-->
<!--      },-->
<!--      previewPDF1() {-->
<!--        let url = '../../../static/map/file/危险化学品事故专项应急预案.pdf'-->
<!--        this.pdfUrl = pdf.createLoadingTask({ url: url, CMapReaderFactory });-->
<!--        this.viewVisible = true;-->
<!--      },-->
<!--      previewPDF2() {-->
<!--        let url = '../../../static/map/file/苏州F1实验室气体泄漏应急处理流程.pdf'-->
<!--        this.pdfUrl = pdf.createLoadingTask({ url: url, CMapReaderFactory });-->
<!--        this.viewVisible = true;-->
<!--      },-->
<!--      //PDF预览-->
<!--      previewPDF(url) {-->
<!--        this.pdfUrl = pdf.createLoadingTask({ url: url, CMapReaderFactory });-->
<!--        this.viewVisible = true;-->
<!--      },-->
<!--      //关闭窗口初始化PDF页码-->
<!--      closeDialog() {-->
<!--        this.viewVisible = false;-->
<!--        this.pdfPage = 1;-->
<!--      },-->
<!--      //PDF改变页数-->
<!--      previousPage() {-->
<!--        var p = this.pdfPage-->
<!--        p = p > 1 ? p - 1 : this.pageCount-->
<!--        this.pdfPage = p-->
<!--      },-->
<!--      nextPage() {-->
<!--        var p = this.pdfPage-->
<!--        p = p < this.pageCount ? p + 1 : 1-->
<!--        this.pdfPage = p-->
<!--      },-->
<!--      viewHandle(url) {-->
<!--        const _this = this-->
<!--        if (url != '') {-->
<!--          _this.previewPDF(_this.certUrl + url)-->
<!--        }-->
<!--      },-->
<!--      showZone() {-->
<!--        this.queryType = '园区'-->
<!--      },-->
<!--      showBuilding(name) {-->
<!--        if (name == '教育综合楼C') {-->
<!--          this.buildingName = 'C'-->
<!--        } else if (name == '科研办公主楼A') {-->
<!--          this.buildingName = 'A'-->
<!--        } else if (name == '危化品库和特气房') {-->
<!--          this.buildingName = name-->
<!--        }-->
<!--        this.queryType = '楼宇'-->
<!--      },-->
<!--      showFloor(buildname, floorname) {-->
<!--        this.queryType = '楼层'-->
<!--        this.floorname = floorname-->
<!--        if (buildname == '教育综合楼C') {-->
<!--        } else if (buildname == '科研办公主楼A') {-->
<!--        } else if (buildname == '危化品库和特气房') {-->
<!--        }-->
<!--      },-->
<!--      showRoom(location) {-->
<!--        this.queryType = '房间'-->
<!--        if (this.buildingName !== '' && location !== '' && this.floorname !== '') {-->
<!--          if (this.buildingName === '危化品库和特气房') {-->
<!--            this.roomLocation = '危化品库房-' + this.floorname + '-' + location.replace('C', '')-->
<!--            this.roomLocation1 = '特气房-' + this.floorname + '-' + location.replace('C', '')-->
<!--          } else {-->
<!--            this.roomLocation = this.buildingName + '-' + this.floorname + '-' + location.replace('C', '')-->
<!--          }-->
<!--          this.getRoomInfo()-->
<!--        }-->
<!--      },-->
<!--      getRoomInfo() {-->
<!--        const _this = this-->
<!--        let location = null-->
<!--        if (_this.roomLocation) {-->
<!--          location = _this.roomLocation-->
<!--        } else if (_this.roomLocation1) {-->
<!--          location = _this.roomLocation1-->
<!--        }-->
<!--        if (location != null) {-->
<!--          const params = {}-->
<!--          params['returns'] = 'queryAll'-->
<!--          params['location'] = location-->
<!--          const userName = Cookies.get('userName')-->
<!--          const name = Cookies.get('name')-->
<!--          params['operator'] = name + '(' + userName + ')'-->
<!--          params['instituteId'] = _this.instituteId-->
<!--          _this.listLoading = true-->
<!--          labList(params)-->
<!--            .then((response) => {-->
<!--              const res = response.data-->
<!--              if (res.code == 200) {-->
<!--                _this.roomInfo = res.result[0]-->
<!--              } else {-->
<!--                // parseError({ error: res.message, vm: _this })-->
<!--              }-->
<!--              _this.listLoading = false-->
<!--            })-->
<!--            .catch((error) => {-->
<!--              _this.listLoading = false-->
<!--              // parseError({ error: error, vm: _this })-->
<!--            })-->
<!--        }-->
<!--      },-->

<!--      getAllWarn(){-->
<!--        const _this = this-->
<!--        let dapingurl = getDapingUrl(_this.instituteId)-->
<!--        if (dapingurl) {-->
<!--          getAllWarn(dapingurl).then(response => {-->
<!--            const res = response.data-->
<!--            if (res.status == 0) {-->
<!--              _this.WarningInfo = res.data-->
<!--              if (this.WarningInfo != null && this.WarningInfo.length > 0){-->
<!--                this.warnDataVisible = true-->
<!--                this.getElectricalWarnList()-->
<!--                this.getGasSafeWarnList()-->
<!--              }-->
<!--            } else {-->
<!--              // parseError({ error: res.msg, vm: _this })-->
<!--            }-->
<!--            _this.listLoading = false-->
<!--          }).catch(error => {-->
<!--            _this.listLoading = false-->
<!--            // parseError({ error: error, vm: _this })-->
<!--          })-->
<!--        }-->
<!--      },-->
<!--      delWarn(item){-->
<!--        const _this = this-->
<!--        if (item != null){-->
<!--          _this.WarningTempInfo = item-->
<!--          const params = {}-->
<!--          params['id'] = item.id-->
<!--          let dapingurl = getDapingUrl(_this.instituteId)-->
<!--          if (dapingurl) {-->
<!--            dealWarn(dapingurl,params).then(response => {-->
<!--              if (response.status == 200) {-->
<!--                _this.getRoomInfoByNumber()-->
<!--              } else {-->
<!--                // parseError({ error: res.msg, vm: _this })-->
<!--              }-->
<!--              _this.listLoading = false-->
<!--            }).catch(error => {-->
<!--              _this.listLoading = false-->
<!--              // parseError({ error: error, vm: _this })-->
<!--            })-->
<!--          }-->
<!--        }-->
<!--      },-->
<!--      getRoomInfoByNumber() {-->
<!--        const _this = this-->
<!--        if (_this.WarningTempInfo != null) {-->
<!--          const params = {}-->
<!--          params['pageIndex'] = '1'-->
<!--          params['pageSize'] = '1'-->
<!--          params['number'] = _this.WarningTempInfo.barCode-->
<!--          const userName = Cookies.get('userName')-->
<!--          const name = Cookies.get('name')-->
<!--          params['operator'] = name + '(' + userName + ')'-->
<!--          params['instituteId'] = _this.instituteId-->
<!--          _this.listLoading = true-->
<!--          labList(params)-->
<!--            .then((response) => {-->
<!--              const res = response.data-->
<!--              if (res.code == 200) {-->
<!--                _this.labInfo = res.result[0]-->
<!--                let location = _this.labInfo.location-->
<!--                let infos = location.split("-")-->
<!--                if (infos.length == 3) {-->
<!--                  _this.floorName = infos[0]-->
<!--                  _this.floor = infos[1]-->
<!--                  _this.roomName = infos[2]-->
<!--                }-->

<!--                if (location == 'C413' || location == 'C414' || location == 'C415' || location == 'C416' || location == 'C417'-->
<!--                  || location == 'C418' || location == 'C419' || location == 'C420' || location == '机房') {-->
<!--                  this.roomZonehe = '../../../static/map/img/dang/' + location + '.png'-->
<!--                } else {-->
<!--                  this.roomZonehe = '../../../static/map/img/dang/default.png'-->
<!--                }-->
<!--                _this.getDate()-->
<!--                _this.getRoomFireList()-->
<!--                _this.getFloorFireList()-->
<!--                _this.warnDataVisible = false-->
<!--                _this.isWarning = true-->
<!--                this.showWarnFloor()-->
<!--              }-->
<!--              _this.listLoading = false-->
<!--            })-->
<!--            .catch((error) => {-->
<!--              _this.listLoading = false-->
<!--              // parseError({ error: error, vm: _this })-->
<!--            })-->
<!--        }-->
<!--      },-->
<!--      getRoomFireList(){-->
<!--        const _this = this-->
<!--        let dapingurl = getDapingUrl(_this.instituteId)-->
<!--        if (dapingurl) {-->
<!--          const params = {}-->
<!--          params['location'] = _this.labInfo.location-->
<!--          getFireCount(dapingurl,params).then(response => {-->
<!--            const res = response.data-->
<!--            if (res.status == 0) {-->
<!--              let data = res.data-->
<!--              if (data != null) {-->
<!--                let count = 0;-->
<!--                for (let i = 0; i < data.length; i++) {-->
<!--                  if (data[i].meta_value == '干粉灭火器' || data[i].meta_value == '四氯化碳灭火器' || data[i].meta_value == '二氧化碳灭火器') {-->
<!--                    count += data[i].count;-->
<!--                    _this.roomFireList.push(data[i])-->
<!--                  }-->
<!--                }-->
<!--                _this.roomFireNum = count-->
<!--              }-->
<!--            }-->
<!--            _this.listLoading = false-->
<!--          }).catch(error => {-->
<!--            _this.listLoading = false-->
<!--            // parseError({ error: error, vm: _this })-->
<!--          })-->
<!--        }-->
<!--      },-->
<!--      getFloorFireList(){-->
<!--        const _this = this-->
<!--        let dapingurl = getDapingUrl(_this.instituteId)-->
<!--        if (dapingurl) {-->
<!--          const params = {}-->
<!--          params['location1'] = _this.floorName-->
<!--          getFireFloorCount(dapingurl,params).then(response => {-->
<!--            const res = response.data-->
<!--            if (res.status == 0) {-->
<!--              let data = res.data-->
<!--              if (data != null) {-->
<!--                let count = 0;-->
<!--                for (let i = 0; i < data.length; i++) {-->
<!--                  if (data[i].firetype == '干粉灭火器' || data[i].firetype == '四氯化碳灭火器' || data[i].firetype == '二氧化碳灭火器' ){-->
<!--                    count += data[i].count;-->
<!--                    _this.floorFireList.push(data[i])-->
<!--                  }-->
<!--                }-->
<!--                _this.floorFireNum = count-->
<!--              }-->
<!--            }-->
<!--            _this.listLoading = false-->
<!--          }).catch(error => {-->
<!--            _this.listLoading = false-->
<!--            // parseError({ error: error, vm: _this })-->
<!--          })-->
<!--        }-->
<!--      },-->
<!--      getDate(){-->
<!--        var _this = this;-->
<!--        let yy = new Date().getFullYear();-->
<!--        let mm = new Date().getMonth()+1;-->
<!--        let dd = new Date().getDate();-->
<!--        let hh = new Date().getHours();-->
<!--        let mf = new Date().getMinutes()<10 ? '0'+new Date().getMinutes() : new Date().getMinutes();-->
<!--        let ss = new Date().getSeconds()<10 ? '0'+new Date().getSeconds() : new Date().getSeconds();-->
<!--        _this.nowDate = yy+'-'+mm+'-'+dd+' '+hh+':'+mf+':'+ss;-->
<!--      },-->
<!--      getCheck(){-->
<!--        const _this = this-->
<!--        let dapingurl = getDapingUrl(_this.instituteId)-->
<!--        if (dapingurl) {-->
<!--          getCheckData(dapingurl).then(response => {-->
<!--            const res = response.data-->
<!--            if (res.status == 0) {-->
<!--              if(res.data!=0) {-->
<!--                this.check = (parseFloat(res.data).toFixed(2))*100+"%"-->
<!--              }-->
<!--            } else {-->
<!--              // parseError({ error: res.msg, vm: _this })-->
<!--            }-->
<!--            _this.listLoading = false-->
<!--          }).catch(error => {-->
<!--            _this.listLoading = false-->
<!--            // parseError({ error: error, vm: _this })-->
<!--          })-->
<!--        }-->
<!--      },-->
<!--      getFireWarnInfo(){-->
<!--        const _this = this-->
<!--        let dapingurl = getDapingUrl(_this.instituteId)-->
<!--        if (dapingurl) {-->
<!--          getHiddenDangerByMonth(dapingurl).then(response => {-->
<!--            const res = response.data-->
<!--            if (res.status == 0) {-->
<!--              var data = res.data-->
<!--              this.fireWarnNum = data.length-->
<!--              this.fireWarnList = data-->
<!--            } else {-->
<!--              // parseError({ error: res.msg, vm: _this })-->
<!--            }-->
<!--            _this.listLoading = false-->
<!--          }).catch(error => {-->
<!--            _this.listLoading = false-->
<!--            // parseError({ error: error, vm: _this })-->
<!--          })-->
<!--        }-->
<!--      },-->
<!--      getReagentInfo(){-->
<!--        const _this = this-->
<!--        let dapingurl = getDapingUrl(_this.instituteId)-->
<!--        if (dapingurl) {-->
<!--          getSysAlarm(dapingurl).then(response => {-->
<!--            const res = response.data-->
<!--            if (res.status == 0) {-->
<!--              var data = res.data-->
<!--              this.reagentNum = data.length-->
<!--              this.reagentList = data-->
<!--            } else {-->
<!--              // parseError({ error: res.msg, vm: _this })-->
<!--            }-->
<!--            _this.listLoading = false-->
<!--          }).catch(error => {-->
<!--            _this.listLoading = false-->
<!--            // parseError({ error: error, vm: _this })-->
<!--          })-->
<!--        }-->
<!--      },-->
<!--      getReagentPersonInfo(){-->
<!--        const _this = this-->
<!--        let dapingurl = getDapingUrl(_this.instituteId)-->
<!--        if (dapingurl) {-->
<!--          getSysWarn(dapingurl).then(response => {-->
<!--            const res = response.data-->
<!--            if (res.status == 0) {-->
<!--              var data = res.data-->
<!--              this.reagentPersonNum = data.length-->
<!--              this.reagentPersonList = data-->
<!--            } else {-->
<!--              // parseError({ error: res.msg, vm: _this })-->
<!--            }-->
<!--            _this.listLoading = false-->
<!--          }).catch(error => {-->
<!--            _this.listLoading = false-->
<!--            // parseError({ error: error, vm: _this })-->
<!--          })-->
<!--        }-->
<!--      },-->
<!--      getGasWarnInfo(){-->
<!--        const _this = this-->
<!--        let dapingurl = getDapingUrl(_this.instituteId)-->
<!--        if (dapingurl) {-->
<!--          getHiddenTroubleWeek(dapingurl).then(response => {-->
<!--            const res = response.data-->
<!--            if (res.status == 0) {-->
<!--              var data = res.data-->
<!--              this.gasWarnNum = data.length-->
<!--              this.gasWarnList = data-->
<!--            } else {-->
<!--              // parseError({ error: res.msg, vm: _this })-->
<!--            }-->
<!--            _this.listLoading = false-->
<!--          }).catch(error => {-->
<!--            _this.listLoading = false-->
<!--            // parseError({ error: error, vm: _this })-->
<!--          })-->
<!--        }-->
<!--      },-->
<!--      getElectricalWarnList(){-->
<!--        const _this = this-->
<!--        _this.listLoading = true-->
<!--        const params = {}-->
<!--        params['instituteid'] = _this.instituteId-->
<!--        let electricalUrl = getElectricalUrl(_this.instituteId)-->
<!--        if (electricalUrl) {-->
<!--          getEelectricalWarn(electricalUrl, params).then(response => {-->
<!--            const res = response.data-->
<!--            if (res.code == 200) {-->
<!--              const result = res.result-->
<!--              _this.electricalWarnNum = result.yujing-->
<!--              _this.electricalErrorNum = result.guzhang-->
<!--            } else {-->
<!--              // parseError({ error: res.msg, vm: _this })-->
<!--            }-->
<!--            _this.listLoading = false-->
<!--          }).catch(error => {-->
<!--            _this.listLoading = false-->
<!--            // parseError({ error: error, vm: _this })-->
<!--          })-->
<!--        }-->
<!--      },-->
<!--      getGasSafeWarnList(){-->
<!--        const _this = this-->
<!--        _this.listLoading = true-->
<!--        const params = {}-->
<!--        let gasSafeUrl = getGasSafeUrl(_this.instituteId)-->
<!--        if (gasSafeUrl) {-->
<!--          getGasSafeWarn(gasSafeUrl, params).then(response => {-->
<!--            const res = response.data-->
<!--            if (res.code == 200) {-->
<!--              const result = res.result-->
<!--              _this.gasSafeWarnNum = result.yujing-->
<!--              _this.gasSafeErrorNum = result.guzhang-->
<!--            } else {-->
<!--              // parseError({ error: res.msg, vm: _this })-->
<!--            }-->
<!--            _this.listLoading = false-->
<!--          }).catch(error => {-->
<!--            _this.listLoading = false-->
<!--            // parseError({ error: error, vm: _this })-->
<!--          })-->
<!--        }-->
<!--      },-->
<!--      getVisitorList(){-->

<!--      },-->
<!--      getVisitorWarnList(){-->

<!--      },-->
<!--      getRadiationWarnList(){-->
<!--        const _this = this-->
<!--        let dapingurl = getDapingUrl(_this.instituteId)-->
<!--        if (dapingurl) {-->
<!--          getPersonWarn(dapingurl).then(response => {-->
<!--            const res = response.data-->
<!--            if (res.status == 0) {-->
<!--              var data = res.data-->
<!--              this.radiationWarnNum = data.length-->
<!--              this.radiationWarnList = data-->
<!--            } else {-->
<!--              // parseError({ error: res.msg, vm: _this })-->
<!--            }-->
<!--            _this.listLoading = false-->
<!--          }).catch(error => {-->
<!--            _this.listLoading = false-->
<!--            // parseError({ error: error, vm: _this })-->
<!--          })-->
<!--        }-->
<!--      },-->
<!--      getRadiationErrorList(){-->
<!--        const _this = this-->
<!--        let dapingurl = getDapingUrl(_this.instituteId)-->
<!--        if (dapingurl) {-->
<!--          getEquipmentWarn(dapingurl).then(response => {-->
<!--            const res = response.data-->
<!--            if (res.status == 0) {-->
<!--              var data = res.data-->
<!--              this.radiationErrorNum = data.length-->
<!--              this.radiationErrorList = data-->
<!--            } else {-->
<!--              // parseError({ error: res.msg, vm: _this })-->
<!--            }-->
<!--            _this.listLoading = false-->
<!--          }).catch(error => {-->
<!--            _this.listLoading = false-->
<!--            // parseError({ error: error, vm: _this })-->
<!--          })-->
<!--        }-->
<!--      },-->
<!--      showFireWarnInfo(){-->
<!--        this.fireWarnVisible = true-->
<!--      },-->
<!--      showReagentInfo(){-->
<!--        this.reagentVisible = true-->
<!--      },-->
<!--      showReagentPersonInfo(){-->
<!--        this.reagentPersonVisible = true-->
<!--      },-->
<!--      showGasWarnInfo(){-->
<!--        this.gasWarnVisible = true-->
<!--      },-->
<!--      showElectricalWarnList(){},-->
<!--      showElectricalErrorList(){},-->
<!--      showGasSafeWarnList(){},-->
<!--      showGasSafeErrorList(){},-->
<!--      showVisitorList(){},-->
<!--      showVisitorWarnList(){},-->
<!--      showRadiationWarnList(){-->
<!--        this.radiationWarnVisible = true-->
<!--      },-->
<!--      showRadiationErrorList(){-->
<!--        this.radiationErrorVisible = true-->
<!--      },-->

<!--      showRoomFireInfo(){-->
<!--        this.roomFireDataVisible = true-->
<!--      },-->
<!--      showFloorFireInfo(){-->
<!--        this.floorFireDataVisible = true-->
<!--      },-->

<!--    }-->
<!--  }-->
<!--</script>-->

<!--<style rel="stylesheet/scss" lang="scss" scoped>-->
<!--  .safety-sznmswarning-container{-->
<!--    .search-box{-->
<!--      margin-bottom: 10px;-->
<!--      width: 80%;-->
<!--    }-->

<!--    .toggle-btn-box {-->
<!--      position: fixed;-->
<!--      top: 50%;-->
<!--      left: 60%;-->
<!--      z-index: 999;-->
<!--    }-->

<!--    .toggle-btn-box button {-->
<!--      border: none;-->
<!--      outline: none;-->
<!--      background: #3D70E3;-->
<!--      color: #fff;-->
<!--      border-top-right-radius: 4px;-->
<!--      border-bottom-right-radius: 4px;-->
<!--      font-size: 12px;-->
<!--      padding: 4px 6px;-->
<!--      width: 26px;-->
<!--    }-->

<!--    .btn-open-box {-->
<!--      position: fixed;-->
<!--      top: 50%;-->
<!--      right: 0;-->
<!--      z-index: 999;-->
<!--    }-->

<!--    .btn-open-box button {-->
<!--      border: none;-->
<!--      outline: none;-->
<!--      background: #3D70E3;-->
<!--      color: #fff;-->
<!--      border-bottom-left-radius: 4px;-->
<!--      border-top-left-radius: 4px;-->
<!--      font-size: 12px;-->
<!--      padding: 4px 6px;-->
<!--      width: 26px;-->
<!--    }-->

<!--    .drawer{-->
<!--      width: 45%;-->
<!--      position: absolute;-->
<!--      margin-left: 55%;-->
<!--      overflow-y: auto;-->
<!--      top: 0;-->
<!--      bottom: 0;-->
<!--      right: 0;-->
<!--      height: 100%;-->
<!--    }-->

<!--    .el-divider.el-divider&#45;&#45;vertical{-->
<!--      height: 100px;-->
<!--    }-->

<!--    .systemName{-->
<!--      color: #0056b3-->
<!--    }-->

<!--    .room-img{-->
<!--      width: 400px;-->
<!--      height: 300px;-->
<!--    }-->

<!--    .room-font{-->
<!--      margin-left: 10px;-->
<!--      margin-top: 10px;-->
<!--      font-size: 14px;-->
<!--      font-family:PingFangSC-Semibold;-->
<!--    }-->

<!--    .xiaofang-num {-->
<!--      display: flex;-->
<!--      align-content: center;-->
<!--      flex-wrap: nowrap;-->
<!--      margin-left: 20px;-->
<!--    }-->

<!--    .xiaofang-num p {-->
<!--      margin-top: 20px;-->
<!--      margin-right: 10px;-->
<!--      font-size: 14px;-->
<!--    }-->

<!--    .xiaofang-num p i img {-->
<!--      vertical-align: middle;-->
<!--      margin-top: -2px;-->
<!--      margin-right: 2px;-->
<!--    }-->

<!--    .stock-table{-->
<!--      width: 100%;-->
<!--    }-->

<!--    .stock-table table{-->
<!--      width:90%;-->
<!--      margin-left: 25px;-->
<!--    }-->

<!--    .stock-table table tr th{-->
<!--      background: #E1E9FA;-->
<!--      text-indent: 10px;-->
<!--      line-height: 30px;-->
<!--    }-->

<!--    .stock-table table tr td{-->
<!--      text-indent: 10px;-->
<!--      line-height: 25px;-->
<!--      text-align: center;-->
<!--    }-->

<!--    .stock-table table tr:nth-child(2n+1){-->
<!--      background: #F3F5F9;-->
<!--    }-->

<!--    .miehuoqi-num {-->
<!--      margin-top: 20px;-->
<!--      overflow: hidden;-->
<!--      clear: both;-->
<!--    }-->

<!--    .miehuoqi-num p {-->
<!--      float: left;-->
<!--      line-height: 42px;-->
<!--      font-size: 20px;-->
<!--      width: 50%;-->
<!--      /* text-align: center; */-->
<!--      text-indent: 25px;-->
<!--      color: #666;-->
<!--    }-->

<!--    .sys-tabs {-->
<!--      display: flex;-->
<!--      /*justify-content: center;*/-->
<!--      overflow-x: auto;-->
<!--      margin-left: 20px;-->
<!--    }-->

<!--    .sys-tabs li {-->
<!--      float: left;-->
<!--      font-size: 16px;-->
<!--      color: #3D70E3;-->
<!--      letter-spacing: 0.35px;-->
<!--      padding: 10px;-->
<!--      border-left: none;-->
<!--      border-image: initial;-->
<!--      cursor: pointer;-->
<!--      list-style: none;-->
<!--      margin: 10px;-->
<!--    }-->

<!--    .sys-tabs li.on {-->
<!--      background: #668EE9;-->
<!--      color: #fff;-->
<!--      border-radius: 4px;-->
<!--    }-->

<!--    .sys-tabs li p {-->
<!--      margin-bottom: 0;-->
<!--      text-align: center;-->
<!--    }-->

<!--    .zkg-01-box {-->
<!--      overflow: hidden;-->
<!--      clear: both;-->
<!--      display: flex;-->
<!--      justify-content: center;-->
<!--    }-->

<!--    .zkg-01-box-item {-->
<!--      overflow: hidden;-->
<!--      margin-right: 20px;-->
<!--      float: left;-->
<!--      width: 150px;-->
<!--    }-->

<!--    .zkg-01-box .containOn {-->
<!--      margin-right: 20px;-->
<!--      color:black;-->
<!--      border:2px solid #668EE9;-->
<!--      padding-left:5px;-->
<!--      padding-top:5px;-->
<!--      width:150px;-->
<!--      border-radius:25px;-->
<!--      height: 280px;-->
<!--      pdislay:flex;-->
<!--      flex-direction:column;-->
<!--      align-items:center;-->
<!--      justify-content:center;-->
<!--    }-->

<!--    .box-item-pic img {-->
<!--      width: 60px;-->
<!--      height: 95px;-->
<!--      max-height: 200px;-->
<!--      max-width: 120px;-->
<!--      margin: 0 auto;-->
<!--    }-->

<!--    .box-item-pic-center{-->
<!--      display: flex;-->
<!--      justify-content: center;-->
<!--      align-content: center;-->
<!--      flex-direction: column;-->
<!--    }-->

<!--    .box-item-content p {-->
<!--      margin-bottom: 0;-->
<!--    }-->

<!--    .title-span{-->
<!--      font-size:20px;-->
<!--      font-weight:bold;-->
<!--      font-family:PingFangSC-Semibold;-->
<!--    }-->

<!--    .count-span{-->
<!--      font-size:35px;-->
<!--      font-weight:bold;-->
<!--      color: #3D70E3;-->
<!--      font-family:PingFangSC-Semibold;-->
<!--    }-->

<!--    .two-row{-->
<!--      margin-top: 40px;-->
<!--      text-align: center;-->
<!--    }-->

<!--    .five-top{-->
<!--      margin-top: 50px;-->
<!--    }-->

<!--    .six-top{-->
<!--      margin-top: 60px;-->
<!--    }-->

<!--    .three-top{-->
<!--      margin-top: 30px;-->
<!--    }-->

<!--    .twob-top{-->
<!--      margin-top: 25px;-->
<!--    }-->

<!--    .two-top{-->
<!--      margin-top: 20px;-->
<!--    }-->

<!--    .dianqi-top{-->
<!--      margin-top: 20px;-->
<!--    }-->

<!--    .oneb-top{-->
<!--      margin-top: 15px;-->
<!--    }-->

<!--    .one-top{-->
<!--      margin-top: 10px;-->
<!--    }-->

<!--    .fujian-span{font-size:16px;font-family:PingFangSC-Semibold;}-->

<!--    .check-span{font-size:30px;font-weight:bold;color: #3D70E3;font-family:PingFangSC-Semibold;}-->

<!--    .firewarn-span{font-size:30px;font-weight:bold;color:#DC2E2E;font-family:PingFangSC-Semibold;}-->

<!--    .wuzi-img{-->
<!--      height: 150px;-->
<!--    }-->

<!--    .img-size{-->
<!--      width: 400px !important;-->
<!--      height: 270px !important;-->
<!--    }-->

<!--    @media screen and (max-width: 1200px){-->
<!--      .title-span{-->
<!--        font-size:17px !important;-->
<!--      }-->

<!--      .count-span{-->
<!--        font-size:25px !important;-->
<!--      }-->

<!--      .mb-3 p{-->
<!--        font-size: 10px !important;-->
<!--      }-->

<!--      .one-row{-->
<!--        margin-top: 0 !important;-->
<!--      }-->

<!--      .two-row{-->
<!--        margin-top: 10px !important;-->
<!--      }-->

<!--      .five-top{-->
<!--        margin-top: 25px !important;-->
<!--      }-->

<!--      .six-top{-->
<!--        margin-top: 20px !important;-->
<!--      }-->

<!--      .three-top{-->
<!--        margin-top: 15px !important;-->
<!--      }-->

<!--      .twob-top{-->
<!--        margin-top: 5px !important;-->
<!--      }-->

<!--      .two-top{-->
<!--        margin-top: 10px !important;-->
<!--      }-->

<!--      .oneb-top{-->
<!--        margin-top: 5px !important;-->
<!--      }-->

<!--      .one-top{-->
<!--        margin-top: 5px !important;-->
<!--      }-->

<!--      .fujian-span{-->
<!--        font-size:12px !important;-->
<!--      }-->

<!--      .check-span{font-size:20px !important;}-->

<!--      .firewarn-span{font-size:20px !important;}-->

<!--      .dianqi-top{-->
<!--        margin-top: 5px !important;-->
<!--      }-->

<!--      .img-size{-->
<!--        width: 170px !important;-->
<!--        height: 160px !important;-->
<!--      }-->

<!--      .wuzi-img{-->
<!--        height: 100px !important;-->
<!--      }-->

<!--    }-->
<!--  }-->

<!--</style>-->

